<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ page import="com.trend.iwss.gui.*" %>
<%@ page import="com.trend.iwss.policy.*" %>
<%@ page import="java.util.*" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<i18n:bundle baseName="iwsvaHttp" id="bundleHttp" />
<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />
<%
    Object oGroupId = null;
    int login_gid = 100;

    if(Validation.CheckUser(request,response)!=1){
        response.sendRedirect("logon.jsp?scan_policy");
        return;
    }
    oGroupId = request.getSession().getAttribute("GroupId");
    login_gid = Integer.parseInt(oGroupId.toString());

    response.setHeader("Pragma","no-cache");
    response.setHeader("Cache-Control","no-cache");
%>
<%
    DaemonAction.TakeAction(73);

    IWSSINI ini = new IWSSINI(IWSSInfo.GetWorkPath() + "intscan.ini");
    String tunnel_enable = ini.GetKeyValue("https-scanning", "tunnel_domain");
    String auto_tunnel_enable = ini.GetKeyValue("https-scanning", "auto_tunnel_by_failure");
    String tunnel_configfile = "/etc/iscan/HttpsTunnelDomains.ini";

    String exceptionstr = IWSSJNI.GetURLBlockList(tunnel_configfile, "block");
    if(exceptionstr.length() < 3) {
        exceptionstr = "";
    }
    exceptionstr = "<URLList>" + exceptionstr + "</URLList>";
    IWSSXML elist = new IWSSXML(exceptionstr);

    String tunnelstr = IWSSJNI.GetURLBlockList(tunnel_configfile, "allow");
    if(tunnelstr.length() < 3) {
        tunnelstr = "";
    }
    tunnelstr = "<URLList>" + tunnelstr + "</URLList>";
    IWSSXML tlist = new IWSSXML(tunnelstr);

%>
<html>
<head>
<META HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
<title>Trend Micro InterScan Web Security Suite</title>

<link href="html/trend-style.css" rel="stylesheet" type="text/css">
<!-- link rel="stylesheet" type="text/css" href="log/page/hacketyhack_facets.css" -->
<!-- link href="lib/tmPlugins/jquery-ui-1.9.2.custom.min.css" rel="stylesheet" type="text/css" -->
<!-- link href="lib/tmPlugins/styles.css" rel="stylesheet" type="text/css" -->
<script language="javascript" src="html/list_checkall.js"></script>
<script language="javascript" src="html/func.js"></script>
<script language="javascript" src="html/i18n_warnmsg.js"></script>
<script language="javascript" src="html/mouseover_help.js"></script>
<script language="JavaScript" src="html/tooltip.js"                                     type="text/javascript"></script>
<script language="JavaScript" src="html/localization.js"                                type="text/javascript"></script>
<script language="Javascript" src="html/fade_shih.js"                                   type="text/javascript"></script>
<script language="javascript" src="html/error_code.js"                                  type="text/javascript"></script>
<!-- script language="javascript" src="log/js/lib/jquery-1.8.3.min.js"                  type="text/javascript"></script -->
<script language="javascript" src="lib/tmPlugins/jquery-1.8.3.min.js"                   type="text/javascript"></script>
<script language="javascript" src="log/js/lib/jquery-ui-1.10.2.custom.min.js"           type="text/javascript"></script>
<script language="javascript" src="lib/tmPlugins/jquery-ui-timepicker-addon.js"         type="text/javascript"></script>
<script language="javascript" src="lib/tmPlugins/jquery-ui-timepicker-addon-plus.js"    type="text/javascript"></script>

<style type="text/css" title="currentStyle">
        @import "log/themes/jquery-ui-1.10.2/jquery-ui-1.10.2.custom.css";
	    @import "lib/tmPlugins/jquery-ui-1.9.2.custom.min.css";
        @import "lib/tmPlugins/jquery-ui-timepicker-addon.css";
</style>
<script language="Javascript" src="log/page/timezone.jsp"								type="text/javascript"></script>
<script language="javascript" src="log/js/date.js"                                      type="text/javascript"></script>
<script type="text/javascript">
	timezoneJS.timezone.zoneFileBasePath = "log/js/tz";
	var zoneFile = ['southamerica', 'northamerica'];
	if(currentTimeZone) {
		var zf = currentTimeZone.split("/");
		zoneFile = zf[0].toLowerCase();
		if(zoneFile == "america") {
			zoneFile = ['southamerica', 'northamerica'];
		}
	}
	timezoneJS.timezone.defaultZoneFile = zoneFile;
	timezoneJS.timezone.init();
</script>

<style type="text/css">
    #dataTable td div{
	text-overflow: ellipsis;
	overflow: hidden;
	white-space: nowrap;
    }

    #dataTable td div:hover{
//	overflow:visible;
	cursor:pointer;
    }

   // .setList {
//	width:517px;
//    }

    .ui-corner-tr {
	border-top-right-radius: 0px;
    }

    .ui-corner-tl {
	border-top-left-radius: 0px;
    }

    .ui-widget {
	font-size: 10px;
    }

    #duration-picker .timeRangeContainer .timeRange {
	border: 1px solid #D0D0D0;
    }

    .ui-state-default, .ui-widget-content .ui-state-default, .ui-widget-header .ui-state-default {
//	background: url("images/ui-bg_glass-75_e6e6e6-1x400.png") repeat-x scroll 50% 50% #E6E6E6;
	border: 1px solid #D3D3D3;
	color: #555555;
	font-weight: normal;
    }

    .ui-datepicker-calendar a:link {
	text-decoration:none;
	color: #555555;

    }

    .ui-widget-header {
//	background:url("images/ui-bg_highlight-soft_75_cccccc_1x100.png") repeat-x scroll 50% 50% #CCCCCC;
	border: 1px solid #AAAAAA;
	color: #222222;
	font-weight: bold;
    }

</style>

</head>
<body onLoad="bgFade();" bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" >
<div id="object1" style="position:absolute; background-color:white;color:black;border-color:black;border-width:20; visibility:show; left:25px; top:-50px; z-index:+1" onMouseOver="overdiv=1;"  onmouseout="overdiv=0; setTimeout('hideLayer()',1000)">
</div>
<form method="post" name="saveform" action="servlet/com.trend.iwss.gui.servlet.urllistset">
<input type="hidden" name="op" value="auto_tunnel_save">
<input type="hidden" name="fromurl" value="/failed_https_accesses.jsp">
<input type="hidden" name="daemonaction" value="2">
<input type="hidden" name="auto_tunnel_save" value="yes">

<table width="887" border="0" cellspacing="0" cellpadding="0">
	<tr>
		<td width="14%" nowrap="nowrap" class="content-title">
			<i18n:message bundleRef="bundleHttp" key="https.tunneling.failed_https_accesses" />
		</td>
		<td width="84%" nowrap="nowrap" class="text">
			<input name="https_scanning__auto_tunnel_by_failure" type="hidden" value="">
			<input name="oldurltscan" type="hidden" value="<%=auto_tunnel_enable%>">
			<input name="enable_auto_tunneling" type="checkbox" style="margin-left:180px;" onClick="EnableSaveButton();"></input>
			<i18n:message bundleRef="bundleHttp" key="https.tunneling.enable_auto_tunneling" />
		</td>
		<td width="2%" valign="bottom" nowrap="nowrap">
			<div align="right">
				<a href="#"><img src="images/question_cui.gif" width="18" height="18" border="0">
				</a>
			</div>
		</td>
	</tr>
	<tr>
		<td colspan="3" class="hor-dotted-line"><img src="images/1space_cui.gif" width="1" height="10"></td>
	</tr>
	<tr>
		<td colspan="3"><img src="images/1space_cui.gif" width="1" height="10"></td>
	</tr>
</table>

<table width="887" border="0" cellpadding="0" cellspacing="0">
    <tr>
        <td colspan="2">
            <table width="100%" border="0" cellspacing="0" cellpadding="0">
			<!-- TABS -->
                <tr>
                    <td background="images/tab_background_cui.gif">
                        <table cellpadding="0" cellspacing="0" border="0">
                            <tr>
                                <td>
                                    <img src="images/tab_inactive1_left_cui.gif" width="11" height="23" alt="" border="0">
                                </td>
                                <td valign="top" background="images/tab_inactive_background_cui.gif" class="tabinactive" nowrap>
                                    <a onmouseover="this.style.color='#FF0000';" style="COLOR:#000000;TEXT-DECORATION:none" onMouseOut="this.style.color='#000000';" href="https_tunneling.jsp">
                                        <i18n:message bundleRef="bundleHttp" key="https.tunneling.domain_tunneling"/>
                                    </a>
                                </td>
                                <td>
                                    <img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0">
                                </td>
                                <td>
                                   <img src="images/tab_active2_left_cui.gif" width="11" height="23" alt="" border="0">
                                </td>
                                <td valign="top" background="images/tab_active_background_cui.gif" class="tabactive" nowrap>
                                    <i18n:message bundleRef="bundleHttp" key="https.tunneling.failed_https_accesses"/>
                                </td>
                                <td>
                                    <img src="images/tab_active_right_cui.gif" width="23" height="23" alt="" border="0">
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
			<!-- TABS -->
                <tr>
                    <td class="border">
                        <table width="100%" border=0 cellPadding=0 cellSpacing=0 >
                            <tr>
                                <td>
                                    <table width="100%" border="0" cellspacing="0" cellpadding="0">
										<tr>
											<td colspan="3"><img src="images/1space_cui.gif" width="1" height="10"></td>
										</tr>
                                        <tr>
                                            <td width="100%">
                                                <table width="100%" height="26" border="0" cellpadding="0" cellspacing="0">
                                                    <tr>
                                                        <td class="data1b">
                                                            <div style="display:inline;padding:0 10 0 5;float:left;">
                                                                <select id="topN_selector" class="button" style="height:24px">
                                                                    <option value="20">20</option>
                                                                    <option value="50">50</option>
                                                                    <option value="100">100</option>
                                                                </select>
                                                            </div>
														    <div class="durationContainer selectorContainer" style="display:inline;">
                                                                <div id="duration-picker" style="display:inline"></div>
                                                                <input type="hidden" id="duration" class="duration" value="L1D" />
                                                                <input type="hidden" id="json-report-from" value="0" />
                                                                <input type="hidden" id="json-report-to" value="0" />
                                                            </div>
															<div style="display:inline;padding:0 0 0 10;">
                                                                <input type="text" class="button" name="mysearch_user" style="height:24px"></input>
                                                            </div>
															<div style="display:inline;padding:0 0 0 5;">
                                                                <input type="text" class="button" name="mysearch_domain" style="height:24px;width:250px"></input>
                                                            </div>
															<div style="display:inline;padding:0 0 0 25">
																<input type="button" class="button" id="btn_refresh" name="btn_refresh" value="<i18n:message bundleRef='bundleHttp' key='https.tunneling.refresh' />"></input>
															</div>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </td>
                                            <td align="right">&nbsp;</td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>

							<tr>
								<td colspan="3"><img src="images/1space_cui.gif" width="1" height="10"></td>
							</tr>

                            <tr>
                                <td>
									<table width="100%" border="0" cellpadding="0" cellspacing="0" class="border2b" id="dataTable" style="table-layout:fixed;">
                                        <tr>
                                            <td class="grey" align="center">
                                                <i18n:message bundleRef="bundleHttp" key="https.tunneling.date" />
                                            </td>
                                            <td class="grey" align="center">
                                                <i18n:message bundleRef="bundleHttp" key="https.tunneling.user_name" />
                                            </td>
                                            <td class="grey" align="center">
                                                <i18n:message bundleRef="bundleHttp" key="https.tunneling.domain_name" />
                                            </td>
                                            <td class="grey" align="center">
                                                <i18n:message bundleRef="bundleHttp" key="https.tunneling.failure_reason" />
                                            </td>
                                            <td class="grey-end" align="center" style="width:12%;">
                                                <i18n:message bundleRef="bundleHttp" key="https.tunneling.action" />
                                            </td>
                                        </tr>
                                        <!-- tr>
                                            <td align="center" class="data1b">
                                                    2007-11-25
                                            </td>
                                            <td class="data1b" align="center">
                                                    Hard-coded
                                            </td>
                                            <td class="data1b" align="center">
                                                    no-domain
                                            </td>
                                            <td class="data1b" align="center">
                                                    unknown_failure
                                            </td>
                                            <td class="data1b" align="center">
                                                    no-action
                                            </td>
		                                </tr -->
		                            </table>
	                            </td>
                            </tr>

							<!--tr>
								<td colspan="3"><img src="images/1space_cui.gif" width="1" height="10"></td>
							</tr-->
							<tr>
								<td width="100%">
									<table width="100%">
										<td width="50%" class="data1" align="right">
											<a href="#" id="btn_prev"><i18n:message bundleRef="bundleHttp" key="https.tunneling.prev" /></a>
										</td>
										<td width="50%" class="data1">
											<a href="#" id="btn_next"><i18n:message bundleRef="bundleHttp" key="https.tunneling.next" /></a>
										</td>
									</table>
								</td>
							</tr>
                        </table>
                    </td>
                </tr>

				<tr>
					<td class="data1">
						<input type="button" class="button" id="btn_save" name="btn_save" value="<i18n:message bundleRef='bundleHttp' key='https.tunneling.save' />"></input>
						<input type="button" class="button" id="btn_cancel" name="btn_cancel" value="<i18n:message bundleRef='bundleHttp' key='https.tunneling.cancel' />"></input>
					</td>
				</tr>
            </table>
        </td>
    </tr>
</table>
</form>

<script language="JavaScript">
$(document).ready(function() {
// default tip
    var tip_name = "Search User Name";
    var tip_domain = "Search Domain";


// control the paging function
    var can_next = false;
    var can_prev = false;

// regExp for elist and tlist
    var re_elist = [];
    var re_tlist = [];

//construct the exception filter
    var elist = [];
    <%
        String item1 = "";
        for(int i = 0; i < elist.GetLength("URLList"); i++) {
            item1 = elist.GetValueByIndex("URLList", i);
    %>
            elist.push("<%=item1%>");
            generate_re("<%=item1%>", "e");
    <%
        }
    %>

//construct the tunnel filter
    var tlist = [];
    <%
        String item2 = "";
        for(int i = 0; i < tlist.GetLength("URLList"); i++) {
            item2 = tlist.GetValueByIndex("URLList", i);
    %>
            tlist.push("<%=item2%>");
            generate_re("<%=item2%>", "t");
    <%
        }
    %>

    function initPage() {

    	$('input[name=mysearch_user]').val(tip_name);
    	$('input[name=mysearch_user]').css("color", "grey");
    	$('input[name=mysearch_domain]').val(tip_domain);
    	$('input[name=mysearch_domain]').css("color", "grey");

		if("yes" == "<%=auto_tunnel_enable%>") {
			$("input[name=enable_auto_tunneling]").attr("checked", true);
		} else {
			$("input[name=enable_auto_tunneling]").attr("checked", false);
		}

		$(".timeRangeLabel").attr("data-val", "L1D");
		$(".timeRangeLabel").text($(".optionList").children().eq(0).text());
		$("#duration").val("L1D");

		$("#btn_save").attr("disabled", true);
    }

    $("input[name=enable_auto_tunneling]").click(function(e) {
	$("#btn_save").attr("disabled", false);
    });

    $("#btn_save").click(function(e) {
		if($("input[name=enable_auto_tunneling]").attr("checked")) {
			$("input[name=https_scanning__auto_tunnel_by_failure]").val("yes");
		}else {
			$("input[name=https_scanning__auto_tunnel_by_failure]").val("no");
		}

		setTimeout("document.saveform.submit()", 100);
    });

    $("#btn_cancel").click(function(e) {
		window.location.href = "failed_https_accesses.jsp";
    });

    $("#btn_refresh").click(function(e) {
		window.location.href = "failed_https_accesses.jsp";
    });


//type, "t" for tunnel, "e" for exception
    function generate_re(item, type) {
        var re_item = item.replace(/\./g, "\\.");
        re_item = re_item.replace(/\*/g, "(.*)");
        re_item = re_item.replace(/\?/g, "(.)");

        if(type == "e") {
            re_elist.push(re_item);
        } else {
            re_tlist.push(re_item);
        }
    }

//topN change function
    $("#topN_selector").change(function(e) {
        updateDataTable(0);
    });

//initialization for autocomplete
    $('input[name^=mysearch]').each(function() {
        var key = $(this).attr("name").split("_")[1];
        switch(key) {
            case "user":
                key = "CLF_UserName";
                break;
            case "domain":
                key = "CLF_Domain";
                break;
        }

        /*$(this).change(function(e) {
            if($.trim($(this).val()) == "") {
		if(key == "CLF_UserName") {
		    $(this).val(tip_name);
		} else if(key == "CLF_Domain") {
		    $(this).val(tip_domain);
		}
		$(this).css("color", "grey");
	    } else {
		$(this).css("color", "black");
	    }
        });*/

		$(this).click(function(e) {
			$(this).css("color", "black");
		});

		$(this).focus(function(e) {
			if((key == "CLF_UserName" && $(this).val() == tip_name) || (key == "CLF_Domain" || $(this).val() == tip_domain)) {
			$(this).val("");
			$(this).css("color", "grey");
			}
		});

		$(this).blur(function(e) {
			if(key == "CLF_UserName" && $(this).val() == "") {
				$(this).val(tip_name);
				$(this).css("color", "grey");
			} else if(key == "CLF_Domain" && $(this).val() == ""){
				$(this).val(tip_domain);
				$(this).css("color", "grey");
			}
		});

		$(this).autocomplete({
			source: function(req, add) {
				facetSearch(key, req.term, function(data) {
					var res = $.map(data, function(el, i) {
						var elm_val = el.column_value;
						var src = new RegExp("(" + req.term + ")", "g");
						var label = elm_val.replace(src, '<b>' + "$1" + '</b>');
						return {"label": elm_val, "value":elm_val};
					});
					add(res);
				});
			}
		});

        if(!$(this).data('uiAutocomplete')) {
            return;
        }

        $(this).data('uiAutocomplete')._renderItem = function(ul, item) {
            return $( "<li></li>" )
                .data( "item.autocomplete", item )
                .append( $("<a></a>").html( item.label ) )
                .appendTo( ul );
        };

        $(this).off('autocompleteselect').on('autocompleteselect', function(event, ui) {
			var value = ui.item.value;
			$(this).val(value);
			updateDataTable(0);
			$(this).trigger("blur");
        });
    });


// It's just for https doing ajax request, most of the values of restObj are hard-coded.
// For initialization
    var restObj = {};
    restObj.query = {};
    restObj.cursor = "";
    restObj.query.period = "L1D";
    restObj.query.filters = [{"col": "CLF_MsgType", "op": "==", "value":[131073]}, {"col":"CLF_ModuleID", "op":"==", "value":4}];
    restObj.query.topN = 5;
    restObj.query.cid = "0";
    restObj.query.reportTemplate = "module_id";
    restObj.column = "CLF_UTCTimeStamp,CLF_UserName,CLF_Domain,CLF_ErrorCode,CLF_ErrorParameters";
    restObj.paging = {};
    restObj.paging.limit = 20;
    restObj.paging.skip = 0;

    function initDataTable() {
        $.ajax({
            url: "/rest/commonlog/log_page_query",
            type: "POST",
            async: false,
            dataType: "JSON",
            data: JSON.stringify(restObj),
            success: function(data) {
                drawDataTable(data);
				restObj.cursor = data.cursor;
            },
            error: function(err) {
                console.log(err);
            }
        });

        $("#btn_prev").attr("style", "color:grey; text-decoration:none;");
    }

    function facetSearch(key, search, callback) {
        var restObj = {};
        restObj.column = key;
        restObj.keyword = "*" + search + "*";
        var restText = JSON.stringify(restObj);

        $.ajax({
            url:"/rest/commonlog/log_search",
            dataType: "json",
            type: "POST",
            data: restText,
            success: function(searchData) {
                callback(searchData);
            }
        });
    }

    function initDatePicker(opts, timeRange) {
       /* if(!opts || !$.isArray(opts)) {
            opts = ['L1D', 'L7D'];
        }

        var customTimePeriod = {};

        for(var i = 0; i < opts.length; i++) {
            if($.isPlainObject(opts[i])) {
                if(opts[i]['default']) {
                    if(!timeRange) {
                        timeRange = opts[i]['default'];
                    }
                }
                continue;
            }
            customTimePeriod[opts[i]] = geti18n(opts[i]);
        }*/

        var customTimePeriod = {};
        customTimePeriod['L1D'] = "<i18n:message bundleRef='bundleHttp' key='https.tunneling.L1D' />";
        customTimePeriod['L7D'] = "<i18n:message bundleRef='bundleHttp' key='https.tunneling.L7D' />";

        $("#duration-picker").empty().enhanced_datetimepicker({
            "useLocalTimeZone": true,
            "show_customized_label": true,
            "customized_time_period": customTimePeriod,
            "customized_value": "0",
            "customized_label": "<i18n:message bundleRef='bundleHttp' key='https.tunneling.customized_time_range' />",
            "range_start_label": "From: ",
            "range_start_format": "mm/dd HH:MM",
            "range_end_format": "mm/dd",
            "range_end_label": "To:",
            "form_period": "#duration",
            "form_from": "#json-report-from",
            "form_to": "#json-report-to"
        });

/*        if(timeRange) {
            var tr = calculateTimeRange(timeRange);
            $('#duration').val(tr.range);
            $('#json-report-from').val(tr.unixstart);
            $('#json-report-to').val(tr.unixend);
        }*/

        $("#duration-picker").enhanced_datetimepicker("set_values", {
            "form_period": "#duration",
            "form_from": "#json-report-from",
            "form_to": "#json-report-to"
        });
    }

    function initTimePlugin() {
        initDatePicker();
        $('.durationContainer').data('currentDuration', $('.duration').val());
        $('.durationContainer').click(function(e) {
            var newDur = $('.duration').val();
            var oldDur = $('.durationContainer').data('currentDuration');
            if(newDur == '0' && oldDur != -1) {
                return;
            }

            if(oldDur != newDur) {
                $("#duration-picker").enhanced_datetimepicker("set_values", {
                    "form_period": "#duration",
                    "form_from": "#json-report-from",
                    "form_to": "json-report-to"
                });
                updateDataTable(0);

                $('.durationContainer').data('currentDuration', newDur);
            }
        });

        $('.datePickerAction').click(function(e) {
            $('.durationContainer').data('currentDuration', -1);
            $('.durationContainer').click();
			format_timerange();
        });
    }

	function format_timerange() {
		if($('.duration').val() == "0") {
		var html = "";
		var ts = new Date(parseInt($.trim($("#json-report-from").val())) * 1000);
		var te = new Date(parseInt($.trim($("#json-report-to").val())) * 1000);

		var ts_month = ts.getMonth() + 1;
		if(ts_month < 10) {
			ts_month = "0" + ts_month;
		}

		var ts_hour = ts.getHours();
		if(ts_hour < 10) {
			ts_hour = "0" + ts_hour;
		}

		var ts_date = ts.getDate();
		if(ts_date < 10) {
			ts_date = "0" + ts_date;
		}

		var ts_minute = ts.getMinutes();
		if(ts_minute < 10) {
			ts_minute = "0" + ts_minute;
		}

		var te_month = te.getMonth() + 1;
		if(te_month < 10) {
			te_month = "0" + te_month;
		}

		var te_date = te.getDate();
		if(te_date < 10) {
			te_date = "0" + te_date;
		}

		var te_hour = te.getHours();
		if(te_hour < 10) {
			te_hour = "0" + te_hour;
		}

		var te_minute = te.getMinutes();
		if(te_minute < 10) {
			te_minute = "0" + te_minute;
		}

		html += ts.getFullYear() + "-" + ts_month + "-" + ts_date + " " + ts_hour + ":" + ts_minute;
		html += " to ";
		html += te.getFullYear() + "-" + te_month + "-" + te_date + " " + te_hour + ":" + te_minute;

		$(".timeRangeLabel").text(html);
	}

	}


//num: 0,first page;1,prev;2,next
    function updateDataTable(num) {
        getParamFromUI();
        switch(num) {
            case 0:
                restObj.paging.skip = 0;
                can_prev = false;
                break;
            case 1:
                if(restObj.paging.skip > 0) {
                    restObj.paging.skip -= restObj.paging.limit;
                    can_prev = true;
                }
                if(restObj.paging.skip == 0) {
                    can_prev = false;
                }
                break;
            case 2:
              //  if(can_next) {
                restObj.paging.skip += restObj.paging.limit;
                can_prev = true;
              //  }
                break;
        }

        if(!can_prev) {
            $("#btn_prev").attr("style", "color:grey; text-decoration:none;");
        } else {
            $("#btn_prev").removeAttr("style", "color:grey; text-decoration:none;");
        }

        $.ajax({
            url: "/rest/commonlog/log_page_query",
            type: "POST",
            async: false,
            dataType: "JSON",
            data: JSON.stringify(restObj),
            success: function(data) {
                drawDataTable(data);
				restObj.cursor = data.cursor;
            },
            error:function(err) {
                console.log(err);
            }
        });

        var len = restObj.query.filters.length - 2;
        restObj.query.filters.splice(2, len);
    };

    function getParamFromUI() {
        var topN = $('#topN_selector').val();
       	restObj.paging.limit = parseInt(topN);
        var dur = $('#duration').val();
        if(dur != "0") {
            restObj.query.period = dur;
            if(restObj.query.hasOwnProperty("timeBegin")) {
                delete restObj.query.timeBegin;
            }
            if(restObj.query.hasOwnProperty("timeEnd")) {
                delete restObj.query.timeEnd;
            }
        } else {
	    var ts = $("#json-report-from").val();
	    var te = $("#json-report-to").val();
	    var lts = new Date(parseInt(ts) * 1000);
	    var lte = new Date(parseInt(te) * 1000);
	    var cts = new timezoneJS.Date(lts.getFullYear(), lts.getMonth(), lts.getDate(), lts.getHours(), currentTimeZone);
	    var cte = new timezoneJS.Date(lte.getFullYear(), lte.getMonth(), lte.getDate(), lte.getHours(), currentTimeZone);
//            restObj.query.timeBegin = $("#json-report-from").val();
//            restObj.query.timeEnd = $("#json-report-to").val();
	    restObj.query.timeBegin = Math.floor(cts / 1000);
	    restObj.query.timeEnd = Math.floor(cte / 1000);
            delete restObj.query.period
        }

        var userName = $.trim($('input[name=mysearch_user]').val());
        var domain = $.trim($('input[name=mysearch_domain]').val());
        if(userName == "" || userName == tip_name) { //do it later
           // $('input[name=mysearch_user]').attr("style", "color:grey");
           // $('input[name=mysearch_user]').val()
        } else {
            var filter = {};
            filter.col = "CLF_UserName";
            filter.op = "==";
            filter.value = userName;
            restObj.query.filters.push(filter);
        }

        if(domain == "" || domain == tip_domain) {  //do it later

        } else {
            var filter = {};
            filter.col = "CLF_Domain";
            filter.op = "==";
            filter.value = domain;
            restObj.query.filters.push(filter);
        }
    };

    function drawDataTable(data) {
        $(".dy_tr").remove();
        var html = "";
        var results = data.results;
        var date = "";
        var failureReason = "";
        var key = "";
        var action_type = "";
        if(results.length < 20) {
            can_next = false;
        } else {
            can_next = true;
        }
        for(var i = 0; i < results.length; i++) {
            html += '<tr class="dy_tr">';
            date = new Date(parseInt(results[i][0]) * 1000);
            html +=     '<td align="center" class="data' + ((i%2) + 1) + 'b">';
	    html +=	    '<div title="' + date.toLocaleString() + '">';
            html +=         	date.toLocaleString();
	    html +=	    '</div>';
            html +=     '</td>';
            html +=     '<td align="center" class="data' + ((i%2) + 1) + 'b">';
	    html +=	    '<div title="' + results[i][1] + '">';
            html +=         	results[i][1];
	    html +=	    '</div>';
            html +=     '</td>';
            html +=     '<td align="center" class="data' + ((i%2) + 1) + 'b">';
	    html +=	    '<div title="' + results[i][2] + '">';
            html +=         	results[i][2];
	    html +=	    '</div>';
            html +=     '</td>';
            key = "e" + results[i][3];
            failureReason = error_code[key];
            html +=     '<td align="center" class="data' + ((i%2) + 1) + 'b">';
	    html +=	    '<div title="' + failureReason +'">';
            html +=         	failureReason;
			    '</div>';
            html +      '</td>';
            html +=     '<td align="center" class="data' + ((i%2) + 1) + 'b tunnel_action">';
            action_type = do_action_check(results[i][2]);
            if(action_type == 1) {
                html +=     "<i18n:message bundleRef='bundleHttp' key='https.tunneling.untunneled' />";
            } else if(action_type == 2){
                html +=     "<i18n:message bundleRef='bundleHttp' key='https.tunneling.tunneled' />";
            } else {
                html +=     '<input type="button" class="button" name="tunnel_button" value="' + "<i18n:message bundleRef='bundleHttp' key='https.tunneling.button_tunnel' />" + '"></input>';
            }
            html +=     '</td>';
            html += '</tr>'
        }

	$('#dataTable').append(html);

        if("<%=tunnel_enable%>" != "yes") {
            $('.tunnel_action').hide();
        }

        if(!can_next) {
            $('#btn_next').attr("style", "color:grey;text-decoration:none");
        } else {
            $('#btn_next').removeAttr("style");
        }

        $("input[name=tunnel_button]").each(function() {
            $(this).unbind("click").click(function() {
                var domain = $(this).parent().prev().prev().text();
                $.ajax({
                    url: "servlet/com.trend.iwss.gui.servlet.urllistset",
                    type: "POST",
                    async: false,
                    data:"op=" + "httpstunnel_singleadd" + "&daemonaction=" + "2" + "&allowadd=" + domain,
                    success: function(data) {
                    //    var tunnel_text = "<i18n:message bundleRef='bundleHttp' key='https.tunneling.tunneled' />";
                    //    $(this).parent().html(tunnel_text);
                    //    tlist.push(domain);
                    //    generate_re(domain, "t");
                    	window.location.href = "failed_https_accesses.jsp";
                    },
                    error: function(err) {
                        console.log(err);
                    }
                });
            });
        });
    }

    function do_action_check(domain) {
        var i;
        var res = 0;
        var is_continue = true;
		var result;
        for(var i = 0; i < re_elist.length; i++) {
			var pattern = new RegExp(re_elist[i], "g");
			if((result = pattern.exec(domain)) != null) {
				if(result.index == 0 && pattern.lastIndex == domain.length) {
					res = 1;
					is_continue = false;
					break;
				}
			}
        }

        if(is_continue) {
            for(var i = 0; i < re_tlist.length; i++) {
                var pattern = new RegExp(re_tlist[i], "g");
                if((result = pattern.exec(domain)) != null) {
					if(result.index == 0 && pattern.lastIndex == domain.length) {
						res = 2;
                    		break;
					}
                }
            }
        }

        return res;
    }

    $('#btn_prev').click(function() {
        if(can_prev) {
           updateDataTable(1);
        } else {
            return;
        }
    });

    $('#btn_next').click(function() {
        if(can_next) {
            updateDataTable(2);
        } else {
            return;
        }
    });

//    initDatePicker();

    initTimePlugin();
    initDataTable();
    initPage();
});
</script>
</body>
</html>
