//##########################The comments are specially for L10N ####################

//#This file is a javascript file has the pattern like: var key="value";

//#When translate this file, here are some suggestions:

//#1.Please translate the value only.

//#2.Please keep the quote and the semicolon . 

//#3.Please keep the value translated as short as you can. 

//#4.Please use UTF-8 encoding, do NOT include BOM.

//#5.Only the strings under var type need to be translated.

//###################################################################################



var i18n_specialcharlist="This field cannot contain any of the following characters: ";

var i18n_iprange="IP RANGE";

var i18n_ipmask="IP MASK";

var i18n_ipadd="IP";

var i18n_user="USER";

var i18n_hostname="HOSTNAME";

var i18n_group="GROUP";


var i18n_customized="Customized";



var i18n_empty_account ="No accounts have been selected. Please choose one or more accounts and try again.";

var i18n_empty_entry ="No entry has been selected. Please choose one or more entries and try again.";

var i18n_dup_policyname ="This policy name already exists. Please specify another.";

var i18n_dup_ip = "Another policy is using the IP address you just specified. Please specify a different IP address.";



var i18n_dup_hostname = "Another policy is already using the host name you specified. Please type a different host name.";

var i18n_dup_user_group = "Another policy is already using the user or group you specified. Please type a different user or group name.";

var i18n_dup_ip_mask = "Another policy is already using the ip mask you specified. Please type a different ip mask.";

var i18n_dup_iprange = "Another policy is using the IP address range you just specified. Please specify a different IP address range.";

var i18n_fromip_largerthan_toip = "Invalid IP address range. Please make sure that the \"From\" IP address is not higher than the \"To\" IP address.";

var i18n_mismatch_user_group = "The selected identity doesn't match the identity type. Please choose right identiy type!";

var i18n_fromport_largerthan_toport = "Invalid port range. Please make sure that the \"From\" port is not higher than the \"To\" port.";

var i18n_policyname="Please enter a policy name.";

var i18n_policyname_invalid="Policy names cannot contain the characters <, > or &. Rename the policy and try again.";

var i18n_select_template="Please select a policy template.";

var i18n_notes_limit="The \"Note\" field exceeds the maximum length (256).";



var i18n_override_password_limit_ex_length="The Override password exceeds the maximum length (32 characters).";

var i18n_override_password_limit_short="The Override password is too short. The minimum length is 6 characters.";

var i18n_override_password_bad_char="The Override password contains invalid characters. Only ASCII printable characters are supported.";

var i18n_override_password_required="An Override password is required.";



var i18n_time_quota_value_invalid="The \"Time quota\" field is not a valid value (The time quota value should be a number and less then 1440 minutes).";



var i18n_time_quota_value_required="A Time quota value is required.";



var i18n_warning_deferredscan_late="When deferred scanning is enabled, IWSA will drop the connection when it detects malware, resulting in a partial file creation. For binary file types, (example: exe, dll) and most archive file types (example: zip, jar, cab), the partial file will not be executable or extractable, making it harmless. \n\nThere is a remote chance that a script file (example: js, htm) that contains a malicious script can still be compiled, even though it is only a partial file. In this case, the malware may harm your system.  Also, since script files are plaintext, IWSA may detect signatures in these partial files, giving you the impression that there is a virus leak. This condition can trigger other antivirus products to detect the signatures. While IWSA drops the connection once the malicious signature is detected, another antivirus product may scan the partial file and signal an alert, even if that partial file is harmless.";

var i18n_oper_add_policy = "Add Policy";

var i18n_oper_edit_gl_policy = "Edit Global Policy";

var i18n_oper_edit_gu_policy = "Edit Guest Policy";

var i18n_oper_edit_policy = "Edit Policy";



var i18n_deleteacc_confirm="Please click OK to delete the selected Accounts or Cancel to cancel.";

var i18n_deleteentry_confirm="Please click OK to delete the selected entries or Cancel to cancel.";



var i18n_email_address = "Please enter a valid email address.";

var i18n_valid_hostname = "Please enter a host name.";

var i18n_valid_ip ="Enter a valid IP address.";

var i18n_valid_iptype="Please enter the same version IP address";
var i18n_valid_ip_hostname ="Please enter a valid IP address.";

var i18n_valid_webconsole_port ="Please enter a valid port number between 1025 and 65535.";

var i18n_router_ip ="Please enter router IP address list separated by \',\'.";

var i18n_wccp_password="Invalid Password length(The Maximum Password Length is 8)";

var i18n_max_wccp_router="Invalid WCCP Router Number(Maximum WCCP Router Number is 8)";

var i18n_valid_port = "Enter a valid port.";

var i18n_valid_ip_mask ="Please enter a valid mask.";

var i18n_valid_from_email = "Please enter a valid from email address";

var i18n_valid_to_email = "Please enter a valid to email address";

var i18n_unknnow_host1="Unable to resolve the server name [";

var i18n_unknow_host2="]. Please check the network or type another server name/IP address."

var i18n_valid_description ="Please enter a valid description.\nThe following special characters are not supported: <, >, #, & and \"";



var i18n_wccp_dynamic_service_must_select_protocol="Please select one or more protocols for the WCCP dynamic service group.";

var i18n_wccp_valid_dynamic_service_name="Please enter a valid dynamic service group identification number from 51 -255.";

var i18n_wccp_valid_standard_service_name="Please enter a valid standard service group identification number from 0-50.";



var i18n_qurantine_dir="Please specify a location (double-byte not supported) for quarantined files.";

var i18n_report_location="Please specify a location (double-byte not supported) for report archives.";

var i18n_no_templates_msg="Please create report template firstly.";

var i18n_error_topN_value_msg = "Please type an integer between 0 and 99.";

var i18n_error_topN_value_msg_appcontrol = "Please type an integer between 0 and 999.";

var i18n_noadapt1_msg = "The gateway should be in the same subnet of the Data Interface.";

var i18n_noadapt1_msg_ipv6 = "The gateway should be in the same subnet of the Data Interface(IPv6).";

var i18n_noadapt2_msg = "The gateway should be in the same subnet of the Data Interface or Management Interface.";

var i18n_noadapt2_msg_ipv6 = "The gateway should be in the same subnet of the Data Interface or Management Interface(IPv6).";





//scan_policy_rule.jsp

var i18n_wrs_smart_trickling_minimum_threshold = "Please enter a number larger than the minimum_threshold (default is 8KB) for smart trickling.";

var i18n_skiplength = "MIME content-type to skip has exceeded the maximum length";

var i18n_other_block_types_length="Other file types need to block has exceeded the maximum length";

var i18n_other_block_types_DBCS="Other block types do not support double-byte characters";

var i18n_skiptype_DBCS = "MIME content-type to skip does not support double-byte characters ";

var i18n_click_deferred_scan1_msg = "When deferred scanning is enabled, IWSVA will drop the connection when it detects malware, resulting in a partial file creation. For binary file types, (example: exe, dll) and most archive file types (example: zip, jar, cab), the partial file will not be executable or extractable, making it harmless. \n\nThere is a remote chance that a script file (example: js, htm) that contains a malicious script can still be compiled, even though it is only a partial file. In this case, the malware may harm your system.  Also, since script files are plaintext, IWSVA may detect signatures in these partial files, giving you the impression that there is a virus leak. This condition can trigger other antivirus products to detect the signatures. While IWSVA drops the connection once the malicious signature is detected, another antivirus product may scan the partial file and signal an alert, even if that partial file is harmless.";



//scan_policy_extension

var i18n_ext_additional_list_length =" Additional Extensions have exceeded the maximum length";

var i18n_ext_exclude_list_length = "Extensions to Exclude have exceeded the maximum length";

var i18n_ext_exclude_list_DBCS = "Extensions to Exclude do not support double-byte characters";

var i18n_ext_additional_list_DBCS = "Additional Extensions do not support double-byte characters";



//http_url_cache.jsp

var i18n_url_clearing_cache_confirm = "Are you sure you want to clear the cache?";



//common_js_var.jsp

var i18n_Description01="[Virus, Trojan, Bot, or Advanced Threat name]";

var notification_token01="%V";

var notification_token011="%v";



var i18n_Description02="[path and file name]";

var notification_token02="%P";

var notification_token021="%p";



var i18n_Description03="[file name]";

var notification_token03="%F";

var notification_token031="%f";



var i18n_Description04="[protocol being scanned]";

var notification_token04="%D";

var notification_token041="%d";



var i18n_Description05="[Action]";

var notification_token05="%A";

var notification_token051="%a";



var i18n_Description06="[Template name]";

var notification_token06="%T";

var notification_token061="%t";



var i18n_Description07="[IWSVA host name]";

var notification_token07="%H";

var notification_token071="%h";



var i18n_Description08="[user name]";

var notification_token08="%N";

var notification_token081="%n";



var i18n_Description09="[Detailed file name and reason]";

var notification_token09="%L";

var notification_token091="%l";



var i18n_Description10="[Computer name]";

var notification_token10="%S";

var notification_token101="%s";



var i18n_Description11="[new certificate info]";

var notification_token11="%W";

var notification_token111="%w";



var i18n_Description12="[move path]";

var notification_token12="%M";

var notification_token121="%m";



var i18n_Description13="[transfer direction]";

var notification_token13="%R";

var notification_token131="%r";



var i18n_Description14="[URL/URI]";

var notification_token14="%U";

var notification_token141="%u";



var i18n_Description15="[matched content]";

var notification_token15="%X";

var notification_token151="%x";



var i18n_Description16="[date and time]";

var notification_token16="%Y";

var notification_token161="%y";



var i18n_Description17="[policy name]";

var notification_token17="%Z";

var notification_token171="%z";



var notification_token18="%o";



var notification_token19="%C";

var notification_token191="%c";

var i18n_Description19="[Category]";



var notification_token20="%B";

var i18n_Description20="[Warn and Continue URL/URI]";



var i18n_Description21="[TTL]";

var notification_token21="%E";

var notification_token211="%e";



var i18n_Description22="[Max TTL]";

var notification_token22="%J";

var notification_token221="%j";



var i18n_Description23="[filter name]";

var notification_token23="%I";

var notification_token231="%i";



var i18n_Description24="[Time Quota]";

var notification_token24="%Q";



var i18n_Description25="[risk level]";

var notification_token25="%K";

var notification_token251="%k";



var i18n_DefaultHeadline="Trend Micro InterScan Web Security Event";



//accessquota_policy_acc_rule.jsp

var i18n_accessquota ="Please specify a number (in megabytes) for this access quota limit.";

var i18n_unlimited_access="Unlimited Access";



var i18n_selectitem="Please select one or more items.";

var i18n_delitem_confirm="Are you sure you want to delete the selected items?";



var i18n_ext_warn_msg1 = "already exists in the Default Extensions list, and will not be added.";

var i18n_ext_warn_msg2 = "exists in both the Additional Extensions list and the Excluded list.";

var i18n_ext_warn_msg3 = "was not found in the Default Extensions list, and cannot be excluded."; 

 

//customreportset.jsp

var i18n_report_dir="Unable to open the specified Reports directory.";

var i18n_topn_virus="Please enter an integer for the following field: \"Riskiest URLs by viruses detected\".";

var i18n_topn_user="Please enter an integer for the following field: \"Riskiest users by infected URLs accessed\".";

var i18n_topn_vbyuser="Please enter an integer for the following field: \"Most violations by user\".";

var i18n_topn_vbygroup="Please enter an integer for the following field: \"Most violations by group\".";

var i18n_topn_burlc="Please enter an integer for the following field: \"Most blocked URL categories\".";

var i18n_topn_bweb="Please enter an integer for the following field: \"Most blocked URLs\".";

var i18n_topn_mmc="Please enter an integer for the following field: \"Most Blocked Applets and ActiveX Objects\".";

var i18n_topn_activeuser="Please enter an integer for the following field: \"Most active users\".";

var i18n_topn_popurl="Please enter an integer for the following field: \"Most popular URLs\".";

var i18n_topn_download="Please enter an integer for the following field: \"Most popular downloads\".";

var i18n_topn_searcheng="Please enter an integer for the following field: \"Most popular search engines\".";

var i18n_topn_categories_weighted="Please enter an integer for the following field: \"Top categories (weighted)\".";

var i18n_topn_im_p2p="Please enter an integer for the following field: \"Most active IM/P2P\".";

var i18n_topn_spyware_category="Please enter an integer for the following field: \"Spyware/Grayware detections by category\".";

var i18n_topn_spyware_grayware="Please enter an integer for the following field: \"Top spyware/grayware detections\".";

var i18n_topn_spyware_users="Please enter an integer for the following field: \"Most detections by user\".";

var i18n_topn_cleanup_category="Please enter an integer for the following field: \"Cleanup events by category\".";

var i18n_topn_cleanup_name="Please enter an integer for the following field: \"Top cleanup events by name\".";

var i18n_topn_cleanup_ip="Please enter an integer for the following field: \"Most infected IP addresses\".";

var i18n_topn_indiv_traffic_site="Please enter an integer for the following field: \"Most popular sites by user visits\".";

var i18n_topn_indiv_blocked_cat="Please enter an integer for the following field: \"Most blocked URL categories by user\".";

var i18n_topn_indiv_blocked_url="Please enter an integer for the following field: \"Most blocked URLs by user\".";

var i18n_reportkept_daily="Please enter an integer for the following field: \"Number of Daily scheduled reports to save\".";

var i18n_reportkept_weekly="Please enter an integer for the following field: \"Number of Weekly scheduled reports to save\".";

var i18n_reportkept_monthly="Please enter an integer for the following field: \"Number of Monthly scheduled reports to save\".";

var i18n_topn_blocktunneltrap="Please enter an integer for the following field: \"IntelliTunnel Report\".";



var i18n_wrong_timerange="The specified time range is not valid. The start date is later than the end date. Please try again.";

var i18n_invalid_date="The date you specified doesn't exist. Please try again.";



// realtime_reportset.jsp

var i18n_report_count_warning="Generating more than three real-time reports can take several minutes. You may want to reduce your selection to three or less reports or use the Scheduled Reports option instead.\n\nClick OK to continue generating the selected reports.";



//ftp_config_proxy.jsp

var i18n_numthread = "The value entered for the number of threads must be from 1 to 256.";

var i18n_proxyserver = "Please enter the host name (double-byte not supported) or IP address of the proxy server you will use.";



//virus scan for both ftp and http

var i18n_scan_msg1 = "The value specified for \"maximum number of files\" must be greater than zero.";

var i18n_scan_msg2 = "The value specified for \"maximum decompressed-file size\" must be greater than zero.";

var i18n_scan_msg3 = "The value specified for \"Decompression percent\" must be from 1 to 100.";

var i18n_scan_msg4 = "The value specified for \"Decompression layers\" must be from 0 to 20.";

var i18n_scan_ext_msg = "Please select \"Specified file extensions\" before clicking this option.";



var i18n_scan_msg5="The value specified for the \"Do not scan files larger than\" field cannot exceed 2GB.";

var i18n_scan_msg6="Please enter an integer in the \"Enable special handling\" field ";

var i18n_scan_msg7="The value specified for \"Do not scan files larger than\" field cannot be less than the value for \"Enable special handling\".";

var i18n_scan_msg8 = "The trickling rate for deferred scan should be greater than zero.";

var i18n_scan_msg9 =  "The maximum size for data trickled during a deferred scan should be greater than zero.";





//http_config_httpproxy.jsp

var i18n_transparency_type="Please select transparency type.";

var i18n_transparency_not_support="The HTTPS decryption feature will be disabled when the deployment mode is set to simple transparency mode. Are you sure you want to continue?"

var i18n_icap_not_support="The HTTPS decryption feature will be disabled when the deployment mode is set to ICAP mode. Are you sure you want to continue?"

var i18n_reverse_not_support="The HTTPS decryption feature will be disabled when the deployment mode is set to reverse proxy mode. Are you sure you want to continue?"

var i18n_no_transparency="Simple transparency mode doesn't support user/group proxy authentication. Please first change the user identification method then set simple transparency mode.";

var i18n_squid_msg = "To configure proxy scan settings, you must disable squid first using the \"disable squid\" CLI command.";

var i18n_no_guest_acount="Please change the user identification method to User/group name authorization.";

var i18n_update_connection_setting_confirm = "To access the Web Reputation database including the feedback option, you must specify an upstream proxy server and port information in the Connection Settings screen (Updates > Connection Settings). Do you want to use the same upstream proxy server and port information from this screen in the Connection Settings screen?";

var i18n_update_connection_remove_confirm  = "Do you want to remove the setting in the Connection Settings screen (Updates > Connection Settings) ";	

var i18n_confirm_str1 = "Binding Interfaces will be changed to";

var i18n_inter_interface = "Internal Interface";

var i18n_exter_interface = "External Interface";

var i18n_confirm_str2 = "The Interface";

var i18n_confirm_str3 = "has been used by Management Interface.";

var i18n_confirm_str4 = "You may configure Bridge mode later using CLI.";

var i18n_confirm_str5 = "You may change this later using CLI.";

var i18n_confirm_str6 = "Binding Interface will be changed to";

var i18n_proxy_interface = "Proxy Interface";

var i18n_confirm_str7 = "You may configure Proxy mode later using CLI.";

var https_proxy_not_support = "This deployment mode is not supported when user identification is user/group name authentication.";

var httsp_proxy_server_empty = "Please specify the proxy server.";

var https_proxy_port_empty = "Please specify the proxy port.";

var i18n_samesegment_warning="The data and management interfaces (IPv4) should not be in the same subnet for security reasons.Please configure the management interface in a different subnet.Do you want to continue configuration?";



var i18n_samesegment_warning_ipv6="The data and management interfaces (IPv6) should not be in the same subnet for security reasons.Please configure the management interface in a different subnet.Do you want to continue configuration?";

	

//http_config_icap.jsp

var i18n_request_connection = "The maximum number of connections for REQ service should be greater than zero.";

var i18n_response_connection = "The maximum number of connections for response modification service should be greater than zero.";

var i18n_max_concurrent_connections="Maximum number of concurrent connections should be greater than zero.";



//ftp_config_proxy.jsp

var i18n_ftp_maxconcurrent="Maximum number of client requests should be greater than zero.";



//http_config_user.jsp

var i18n_invalid_ldap_test = "You did an invalid test.";

var i18n_ldap_msg1 = "Successfully contacted the LDAP server.";

var i18n_ldap_msg2 = "To continue, enter an administrator-level user ID for the LDAP server.";

var i18n_ldap_msg3 = "To continue, enter the password for the LDAP account.";

var i18n_ldap_msg4 = "To continue, enter the base distinguished name (BDN).";

var i18n_ldap_msg5 = "To continue, enter the default realm name.";

var i18n_ldap_msg6 = "To continue, enter the default domain name.";

var i18n_ldap_msg7 = "To continue, enter a KDC and admin server name.";



var i18n_ldap_msg8 = "Please set the default domain to be the same as the default realm.";

var i18n_ldap_msg9 = "A configuration problem was encountered testing the LDAP connection - examine the console log (stdout.out) for further information.";

var i18n_ldap_msg10 = "To continue, enter the user ID with the correct format.";

var i18n_ldap_dup_primary = "The primary referral server you have typed is the same as the main sever. Please type again.";

var i18n_ldap_dup_secondary = "The secondary referral server you have typed is the same as the Main Server or Primary Referral Server. Please type again." ;



var i18n_krbs_warnmsg="Please make sure \"Referral Chasing\" is enabled and \"User identification method\" is correct.";

var i18n_ldap_customattr="Please enter custom attribute.";

var i18n_ldap_corpidentity="Please enter corporate identity.";

var i18n_ldap_corpgroup="Please enter corporate group.";

var i18n_ldap_corpuser="Please enter corporate user.";

var i18n_ldap_commonname="Please enter corporate common name.";

var i18n_ldap_corpmail="Please enter corporate email.";

var i18n_ldap_corpmemberof="Please enter the value of corporate memberOf.";

var i18n_ldap_corpmember="Please enter the value of corporate member.";



var i18n_mailsubject_phish="Phish URL from IWSVA 5.0";

var i10n_mailsubject_reclassify = "URL for re-classification from IWSS 1.0";

var i18n_ldap_maxserver = "a Domain should not has more than 10 servers!";

var i18n_ldap_wrong_config = "Test failure. The LDAP connection is not established because ";

var i18n_ldap_hit2 = "Configuration is wrong!";

var i18n_ldap_hit1 = "Success! The LDAP connection test has passed.";

var i18n_ldap_message1 = "should be no more than 10 methods";

var i18n_ldap_message2 = "Should have one domain at least.";

var i18n_ldap_message3 = "Have no Active Directory but choose Enable AD";
	
var i18n_ldap_message4 = "Have no Active Directory but choose Enable DC";

var i18n_ldap_message5 = "Should have one domain at least.";

var i18n_ldap_message6 = "Have no domain server!";

var i18n_ldap_message7 = "servers should be no more than 10";

var i18n_ldap_message8 = "should be no more than 10 Domain Controllers";

var i18n_ldap_message9 = "No server captured!";

var i18n_ldap_message10 = "Not work!";

var i18n_ldap_message14 = "Availiable!";

var i18n_ldap_message15 = "Ajax Error!";

var i18n_ldap_message16 = "This form cannot be filled automatically. Check the domain name and user account fields or manually fill the form."; 

var i18n_ldap_msg17 = "Test failure. "; 
var i18n_ldap_msg18 = " For more information, see the Online Help.";
var i18n_ldap_msg19 = "Test failure. The LDAP connection is not established because ";
var i18n_ldap_msg20 = "The LDAP servers cannot be detected.";
var i18n_ldap_msg21 = "To continue, enter a valid hostname. (Valid characters include: 'A-Z', 'a-z', '0-9', '_', '-' and '.')";
var i18n_ldap_msg22 = "To continue, enter a valid port.";
var i18n_ldap_msg23 = "unknown error."
//http_config_database.jsp

var i18n_dbconnect_success = "Connection to the database was successful.";

var i18n_db_dsn = "Please enter \"ODBC data source name\" (double-byte not supported).";

var i18n_db_username = "The user name doesn't support double-byte characters.";

var i18n_db_password = "The password doesn't support double-byte characters.";

var i18n_urlf_ttl = "The cache expiration number for URL filtering policy should be a positive integer.(0-32767)";

var i18n_accessquota_ttl = "The cache expiration number for Access Quota policy must be a positive integer.(0-32767)";

var i18n_virusscan_ttl = "The cache expiration number for Virus Scan policy should be a positive integer.(0-32767)";

var i18n_mmc_ttl = "The cache expiration number for applets and ActiveX policy must be a positive integer.(0-32767)";

var i18n_inspection_ttl = "The cache expiration number for HTTP Inspection policy must be a positive integer.(0-32767)";

var i18n_httpsdecrypt_ttl = "The cache expiration number for HTTPS Decryption policy should be a positive integer.(0-32767)";

var i18n_appcontrolttl_ttl = "The cache expiration number for Application Control policy must be a positive integer.(0-32767)";

var i18n_dlpttl_ttl = "The cache expiration number for DLP policy must be a positive integer.(0-32767)";



//license_activate.jsp

var i18n_license_activate ="One or more required fields were blank or contained invalid data. Please check the page and try again.";

//VLAN related pages

var i18n_bridgemode_isoff = "IWSVA is not currently on bridge mode. All settings will not take effect. To enable bridge mode, go to HTTP > Configuration > Proxy Scan Settings, and select \"Network bridge\".";

var i18n_generic_errmsg = "An error occurred while processing your request. Please contact Trend Micro Technical Support for assistance.";

var i18n_invalid_input = "Invalid settings. Please check the settings and try again.";

var i18n_deploy_errmsg = "Deployment failed on items marked with *. Please check the items' settings.";



//VLANSettings.jsp, VLANSettingsEdit.jsp

var i18n_confirm_del_vlan = "Are you sure you want to permanently delete the selected Bridge ID setting(s)?";

var i18n_no_vlan = "No Bridge ID setting was selected. Please select a setting to continue.";

var i18n_max_num_vlan = "Unable to add the Bridge ID setting because you already have the maximum of 64 settings.";

var i18n_vlan_setting_exist= "Network ID and Netmask cannot be the same as other Bridge ID settings. Please specify a different Network ID and Netmask.";

var i18n_vlan_invalid_netid= "Network ID should be a valid IP address. Please type a valid IP address to proceed.";

var i18n_vlan_invalid_netmask = "Invalid Netmask. Type a valid Netmask to proceed.";

var i18n_vlan_invalid_vlan = "Invalid VLAN ID. Type a number between 1 and 4094, or leave the field blank to set an untagged bridge.";

var i18n_vlan_netid_include_netmask = "Netmask is not part of the Network ID. Please specify a Netmask that is part of the Network ID.";

var i18n_vlan_not_the_same_subnet = "The Bridge ID setting and Management IP address cannot have the same Netmask value. Please type a different Netmask value to proceed.";



//staticRoutes.jsp, staticRouteEdit.jsp

var i18n_confirm_del_sroute = "Are you sure you want to permanently delete the selected static route(s)?";

var i18n_no_static_route = "No static route was selected. Please select a static route to proceed.";

var i18n_max_num_sroute = "Unable to add the static route because you already have the maximum of 50 static routes.";

var i18n_sroute_invalid_netid = "Network ID should be a valid IP address. Please type a valid IP address to proceed.";

var i18n_sroute_invalid_router = "Router should be a valid IP address. Please type a valid IP address to proceed.";

var i18n_sroute_invalid_netmask = "Invalid Netmask. Type a valid Netmask to proceed.";

var i18n_sroute_thesame_subnet = "The router is not in the same subnet as the VLAN ID's Bridge ID settings. Please specify a router in the same subnet.";

var i18n_sroute_netid_include_netmask = "Netmask is not part of the Network ID. Please specify a Netmask that is part of the Network ID.";

var i18n_sroute_ip_not_the_same = "The static route cannot be the same as the Management IP. Please specify a different static route.";

var i18n_sroute_the_same = "Network ID and Netmask cannot be the same as other route settings. Please specify a different Network ID and Netmask.";

var i18n_sroute_need_ipv6_data = "IPv6 Data IP or Management IP needed if you choose IPv6 static Route. Please back to network interface step to confirm."



var i18n_sroute_proxy = "Proxy";

var i18n_sroute_bridge = "Bridge";

var i18n_sroute_mgmt = "Management";

var i18n_sroute_deployed = "Deployed";

var i18n_sroute_failed = "Failed";

var i18n_sroute_new = "New";



//server farm

var i18n_bind_localport_failed = "Unable to bind to the Parent's listening port because the port number is already used. Please specify a different port number and try again.";

var i18n_connect_to_master_failed = "Unable to connect to the Parent server. Please specify valid server settings or check the connection status with the server.";



//mmc_activate_dc.jsp

var i18n_activatedc_msg1="Please select one or more certificates.";

var i18n_activatedc_msg2="This will delete all selected certificates. Click OK to continue or Cancel to return.";

var i18n_activatedc_msg3="This will move all selected certificates to the inactive list. Click OK to continue or Cancel to return.";

var i18n_activatedc_msg4="This will move all selected certificates to flagged list. Click OK to continue or Cancel to return";

var i18n_activatedc_msg5="The selected certificates have been moved to flagged list.";

var i18n_activatedc_msg6="The selected certificates have been moved to inactive list.";

var i18n_activatedc_msg7="The selected certificates have been deleted.";

var i18n_activatedc_msg8="This will remove all selected certificates from flagged. Click OK to continue or Cancel to return.";

var i18n_activatedc_msg9="The selected certificates have been moved from flagged list.";

var i18n_activatedc_msg10="This will move all selected certificates to the active list. Click OK to continue or Cancel to return.";

var i18n_activatedc_msg11="The selected certificates have been moved to active certificate list.";

var i18n_activatedc_msg12="Not all the certificates you selected could be deleted.";

var i18n_activatedc_msg13="Failed to upload certificate file.";

var i18n_activatedc_msg14="Certificate list operation failed.";

var i18n_import_cert = "Please specify the name and location of the certificate you want to Import. ";



//mmc_policy_exception.jsp

//Please don't translate next line

var i18n_pathtype = new Array(3); 

i18n_pathtype[0]="absolute path";

i18n_pathtype[1]="all files";

i18n_pathtype[2]="sub-directory";

var i18n_dup_pathinput="Please enter a different path.";

var i18n_mmc_exceptionpath="Please enter a path (double-byte not supported).";



//mmc_policy_java.jsp

var i18n_max_thread = "The value entered for maximum threads must be greater than zero.";

var i18n_max_window = "The value entered for maximum windows must be greater than zero.";



//report list

var i18n_choose_report="Please choose one or more reports.";

var i18n_delreport_confirm="This action will delete all selected reports. Click OK to continue or Cancel to return.";



//notifications_*.jsp

var i18n_select_usermsg="You must first specify the type of user notification you would like to send.";

var i18n_adminmsg="You must first specify the administrator notification.";

var i18n_adminmsg_bot="Please specify the admin notification for detected bots.";

var i18n_adminmsg_apt="You must first specify the administrator notification for detected advanced threats.";

var i18n_adminmsg_short="Notification message may be too short. Please type a longer message to try again.";

var i18n_import_msg = "You must first specify the name and location of the file you want to Import. ";

var i18n_event_headline="You must first specify a headline to use for security events.";

var i18n_preview_title="Trend Micro InterScan Web Security Suite Preview";

var i18n_pattern_subject = "Please specify an email Subject for pattern update notifications.";

var i18n_urlfdb_subject = "Please specify an email Subject for URL-Filtering database update notifications.";

var i18n_eng_subject = "Please specify an email a Subject for scan-engine update notifications.";

var i18n_ftp_addtl_virus_message = "double-byte characters are not supported in FTP customerized user notification messages field.";

var i18n_ftp_addtl_type_message = "double-byte characters are not supported in FTP customerized user notification messages field.";

//notifications_smtp.jsp

var i18n_smtp_from = "Please enter the email address that you want to appear in the From: field for notification messages sent by IWSVA.";

var i18n_smtp_to = "Please enter the email address that you want to appear in the To: field for notification messages sent by IWSVA.";

var i18n_mail_queue  = "The number of minutes to check mail queue should be higher than 0 and lower than 65535.";

var i18n_smtp_server = "Please enter the IP address or host name (double-byte not supported) of the SMTP server you will use to send notifications.";



//password.jsp

var i18n_password_msg1="Please enter the old password.";

var i18n_password_msg2="Please enter the new password.";

var i18n_password_msg3="Please enter confirm the new password.";

var i18n_password_msg4="The passwords do not match.";

var i18n_password_msg5="Passwords should be between 4 and 32 alphanumeric characters.";

var i18n_password_msg6="Please re-set the password.";

var i18n_password_msg7="Please enter the correct old password.";

var i18n_user_acct_msg1="Please enter user id.";

var i18n_user_acct_msg2="Please enter user password.";

var i18n_user_acct_msg3="Please enter confirm the password.";

var i18n_user_acct_msg4="Please enter description for this user account.";

var i18n_user_acct_msg5="Username should be alphanumeric characters only.";



//quota_account.jsp

var i18n_query_keyword="Please specify one keyword for the search.";

var i18n_query_selectuser="Please choose a user or group name.";

var i18n_query_nomatch="No Match!";

var i18n_query_ajax_error= "Fail to fetch results!"

//report_logsetting.jsp

var i18n_reportlog_msg1="Please specify a directory for virus logs (double-byte not supported).";

var i18n_reportlog_msg2="Please specify a directory for URL-Blocking logs (double-byte not supported).";

var i18n_reportlog_msg3="Please specify a  directory for performance logs (double-byte not supported).";

var i18n_reportlog_msg4="Please specify a directory for access logs (double-byte not supported).";

var i18n_reportlog_msg5="Please specify the frequency (from 1 to 9 minutes) for performance logging.";

var i18n_reportlog_msg6="Please specify the frequency (from 1 to 2 minutes) for access logging.";

var i18n_reportlog_msg7="Please specify the frequency for updating the database logs.";

var i18n_reportlog_msg8="Please specify the number of days to store logs in the database.";

var i18n_reportlog_msg9="Please specify a directory for system event logs (double-byte not supported).";

var i18n_reportlog_msg10="Please specify the size of the smallest file for storing access logs.";

var i18n_reportlog_msg11="Please specify a directory for application control logs (double-byte not supported).";

var i18n_reportlog_msg12="Please specify a directory for dlp logs (double-byte not supported).";



//summary.jsp

var i18n_au_confirm_msg1 = "IWSVA is already running the latest Virus Scan engine. Do you want to force an update?";

var i18n_au_confirm_msg2 = "IWSVA is already using the latest virus pattern file. Do you want to force an update?";

var i18n_au_confirm_msg3 = "IWSVA is already using the latest Phish pattern. Do you want to force an update?";

var i18n_au_confirm_msg4 = "IWSVA is already using the latest Spyware pattern. Do you want to force an update?";

var i18n_au_confirm_msg5 = "IWSVA is already using the latest URL Filtering database. Do you want to force an update?";

var i18n_au_confirm_msg6 = "IWSVA is already using the latest URL Filtering database engine. Do you want to force an update?";

var i18n_au_confirm_msg7 = "IWSVA is already using the latest IntelliTunnel pattern. Do you want to force update?";

var i18n_au_confirm_msg8 = "IWSVA is already using the latest IntelliTrap pattern. Do you want to force update?";

var i18n_au_confirm_msg9 = "IWSVA is already using the latest IntelliTrap exception pattern. Do you want to force update?";

var i18n_au_confirm_msg10 = "This will update all IWSVA components and the process may take several minutes. Do you want to proceed?";

var i18n_au_confirm_msg11 = "IWSVA is already using the latest URL Filtering page analysis pattern. Do you want to force update?";

var i18n_au_confirm_msg12 = "IWSVA is already using the latest URL Bot spam pattern. Do you want to force update?";
var i18n_au_confirm_msg13 = "IWSVA imssdaemon is already running the latest anti-spam engine. Do you want to force update?";
var i18n_au_confirm_msg14 = "IWSVA is already running the latest Advanced Threat Scan engine. Do you want to force an update?";

var i18n_au_db_rollback_msg1 = "Unable to rollback the database. This feature is not supported for the URL Filtering database.";

var i18n_au_db_rollback_msg2 = "Unable to rollback the database engine. This feature is not supported for the URL Filtering database engine.";



var i18n_au_schedule_msg1="every $tok_time Minutes";

var i18n_au_schedule_msg2="Hourly";

var i18n_au_schedule_msg3="$tok_time Daily";

var i18n_au_schedule_msg4="$tok_time $tok_weekday Weekly";

var i18n_au_schedule_msg5="Manual update only";

//Please don't translate next line

var i18n_au_week = new Array(7);

i18n_au_week[0]="Sunday";

i18n_au_week[1]="Monday";

i18n_au_week[2]="Tuesday";

i18n_au_week[3]="Wednesday";

i18n_au_week[4]="Thursday";

i18n_au_week[5]="Friday";

i18n_au_week[6]="Saturday";



//system_logsetting.jsp

var i18n_systemlog_msg1="Please specify a directory for HTTP Scan logs (double-byte not supported).";

var i18n_systemlog_msg2="Please specify a directory for FTP Scan logs (double-byte not supported).";

var i18n_systemlog_msg3="Please specify a directory for mail delivery logs (double-byte not supported).";

var i18n_systemlog_msg4="Please specify a directory for admin logs (double-byte not supported).";

var i18n_systemlog_msg5="Please specify a directory for Update logs (double-byte not supported).";

var i18n_systemlog_msg6="Please specify a Quarantine directory (double-byte not supported).";

var i18n_systemlog_msg7="Please specify the number of days that you want IWSVA to archive logs.";

var i18n_systemlog_msg8="Please specify a directory for audit trail logs (double-byte not supported).";



//trustedurl.jsp

var i18n_trustedurl_msg1 = "The entry already exists.";

var i18n_trustedurl_msg2 = "The entry already exists in the exception list.";

var i18n_trustedurl_msg3 = "The entry already exists.";

var i18n_trustedurl_msg4 = "The entry already exist in the trusted URL list.";

var i18n_trustedurl_msg5 = "The entry exceeds the maximum length (1024 bytes).";

var i18n_trusted_url_list_DBCS = "Trusted URL List do not support double-byte characters.";





//update_proxy.jsp

//var i18n_num_pattern_kept = "Please enter a positive integer for the number of pattern files to keep.";

var i18n_num_pattern_kept = "Please enter a positive integer(1~65535) for the number of pattern files to keep.";

var i18n_num_file_size = "Enter an integer between 1 and 4095 to indicate the size of files to skip.";

//urlblocking.jsp

var i18n_urlblocking_msg1 = "The entry already exists.";

var i18n_urlblocking_msg2 = "The entry already exists in the block list.";

var i18n_urlblocking_msg3 = "The entry already exists.";

var i18n_urlblocking_msg4 = "The entry already exists in the exception list.";

var i18n_url_list_DBCS="URL Blocking List do not support double-byte characters.";



//urlblocking_phish.jsp

var i18n_phish_msg1="Please enter the URL of the suspected phish site.";

var i18n_phish_msg2="Please enter the email address you want TrendLabs to use to contact you.";

//dlplogset.jsp

var i18n_dlplog_view_rule="Select a DLP policy.";



//urlblogset.jsp

var i18n_blog_view_rule="Please select a URL blocking rule.";



//urlflogset.jsp

var i18n_flog_view_rule="Please select a URL filtering rule.";



//url_category_set.jsp

var i18n_urlfcategory_msg1 = "No category was selected. Please choose the category you want to move.";

var i18n_urlfcategory_msg2 = "No sub-category was selected. Please choose the sub-categories you want to move.";



//urlf_reclassifyurl.jsp

var i18n_reclassifyurl_msg1="Please enter the URL.";

var i18n_reclassifyurl_msg2="Please enter your email address.";



//urlf_time_set.jsp

var i18n_urlf_schedule_msg1="Please check the work time 1 work-hours schedule. One or more From: times appears to occur after the time specified for To:";

var i18n_urlf_schedule_msg2="Please check the work time 2 work-hours schedule. One or more From: times appears to occur after the time specified for To:";

var i18n_urlf_schedule_msg3="Please check the work-hours schedule. One or more From: times appears to occur after the time specified for To:";



//application_control_log_set.jsp

var i18n_appcontrollog_view_rule="Please select a blocked application rule.";



//syseventlogset.jsp

var i18n_syseventlog_view_rule="Please choose one or more levels from the list before clicking Add.";



//auditlogset.jsp

var i18n_auditlog_view_rule="Please choose one or more users from the list before clicking Add.";



//viruslogset.jsp

var i18n_viruslog_view_rule="Please choose one or more viruses from the list before clicking Add.";

//spamlogset.jsp
var i18n_spamlog_view_rule="Please choose one or more viruses from the list before clicking Add.";

//spywarelogset.jsp

var i18n_spywarelog_view_rule="Please choose one or more graywares from the list before clicking Add.";



//cleanuplogset.jsp

var i18n_cleanuplog_view_rule="Please choose one or more malwares from the list before clicking Add, or check the checkbox of \"Show connection failure events\".";

  

//urlf_approved_url.jsp

var i18n_urlf_dup_entry = "The entry already exists."



//install/uninstall greh driver.

var i18n_greh_install="WCCP Transparency mode requires that you install the \"GRE Handler Driver\" on the IWSVA server. The driver must be installed locally. From the IWSVA server, open a command prompt and type the following:  [path]/Utilbin/WCCP/install_greh.exe  -i.";

var i18n_greh_uninstall="After changing from WCCP Transparency mode, you should uninstall the \"GRE Handler Driver\" that was installed on the IWSVA server. The driver must be removed locally. From the IWSVA server, open a command prompt and type the following:  [path]/Utilbin/WCCP/install_greh.exe  -u";



//dcs_register.jsp

var i18n_dcs_server_duplication="The server you entered has been registered.";

var i18n_dcs_server = "Please enter the IP address or host name (double-byte not supported) of the target Damage Cleanup Services (DCS) server.";



//support.jsp

var i18n_support_dl_onlyone="Can only download one single core file at a time";

var i18n_support_cfm_delete="Are you sure you want to permanently delete selected files?";

var i18n_support_cfm_delete2="Are you sure you want to permanently delete selected file?";

//support_in_progress.jsp

var i18n_supportinprogress_cdt_running="Another CDT is running";

//support_diagnose_progress.jsp

var i18n_supportdiagnoseprogress_diagnostictool_running="Another diagnostic tool is running. Please wait.";

//mouseover online help

var tipIntelliscan = "IntelliScan optimizes performance by examining file headers using true file type recognition, and scanning only file types known to potentially harbor malicious code.<br>True file type recognition helps identify malicious code that can be disguised by a harmless extension name."

var tipThreatsOthers = "Files detected in this category may be legitimate tools or commercial products. However, some of these programs can be used with malicious intent or are unwanted applications depending on the network environment.";

var tipOversized = "Files larger than the set limit will be delivered to the client without being scanned."; 

var tipSpecialHandling = "If large-file scanning is enabled, the file size specified for deferred scanning must be smaller (typically, 50% or more) than the file size specified for large-file scanning."; 



var tipUncleanable = "Only files infected with a <br>virus can be cleaned. Other <br>Internet threats, such as <br>spyware and Trojans, are not <br>infected and thus are not <br>\"cleanable\".";



var tipModifiedHTTPheader = "Identify users (for reports, logs, and notifications) <br>by their MAC address and computer host name.";



var tipSimple = "Choose Simple if your login credentials must be <br>sent to the LDAP server using cleartext.";



var tipAdvancedKerberos = "Choose Advanced if you use Kerberos authentication (Microsoft Active Directory, Linux OpenLDAP), or Digest-MD5 authentication (Sun Java System Directory Server) with your LDAP server.";



var tipBindNIC = "By default, IWSVA binds to all Network Interface <br>Cards on the server. To have IWSVA bind to one NIC <br>only, specify that IP address in the field below.";



var tipMaster = "Choose this option only if you are running <br>multiple IWSVA servers together on the network <br>and you want to designate THIS server to be the <br>parent. Only one parent is permitted on the LAN.";



var tipDestructive = "Java applet actions capable of modifying <br>files on end-users computers.";



var tipNonDestructive = "Java applet actions capable of passive <br>access to files on end-users computers <br>(information gathering).";



var tipSendTo = "To change the mail recipient, click \"Notifications\" on the <br>main menu, and then \"Send notifications to...\" <br>in the upper right corner.";



var tipNoScanURLs = "URLs on this list will not be <br>filtered for content or scanned for viruses. <br>The following wildcards can be used: * ? ";



var tipURLexceptions = "URLs and subdomains on this list will <br>be filtered, even if the domain is included <br>in the Do Not Scan list. The following wildcards <br>can be used: * ? ";



var tipPhishCategories = "The Trend Micro \"Phish\" scans for <br>spyware, unsafe Web sites, and port hijacking.";



var tipDCSRedirect = "Choose this option to have IWSVA redirect clients that could not be automatically repaired (by the DCS server) to the DCS ActiveX cleanup page for manual clean up.<br>Note: Redirect is not supported for Cisco CE ICAP clients.";



var tipSpywareOther = "Files detected in this category may be legitimate tools or commercial products. However, some of these programs can be used with malicious intent or are unwanted applications depending on the network environment.";



var tipFullTransparentMode = "When in Fully Transparent Proxy Mode, the client's IP address is unchanged when accessing the Internet through the appliance. Routers, firewalls, and other network devices will see the IP address of the client. Fully Transparent Proxy Mode uses complex IP rendering logic that may result in a slight decrease in performance.";



var tipTransparentProxyMode = "When in Transparent Proxy Mode, InterScan Web Security Virtual Appliance changes the client's IP address to that of its own. Routers, firewalls, and other network devices will not see the IP address of the client. Transparent Proxy Mode is suitable for networks with no internal access firewall rules." ;



var tipXVirusID = "Choose this option if your ICAP client is configured to support the \'X-Virus-ID\' ICAP response (one line of text) to describe detected threats.";



var tipXInfection = "Choose this option if your ICAP client is configured to support the more verbose \'X-Infection-Found\' ICAP response, which includes threat type, action taken, and a multi-line description." ;



var tipqueryldap = "Search using the user or group's Common Name (CN), for example \"John\" \"John*\" \"John Doe\"";



var tipNTPserver = "NTP server settings are saved only after you enable automatic synchronization.";



var tipCertificate = "Any violation to the selected verification generates a notification that can be customized in the Notifications screen.";


var tipCookieAuthMode = "Used to uniquely identify users who share a single IP address, such as, terminal server, environments in which proxy-chaining is used or where network address translation (NAT) occurs.<br>Enable cookie mode will deploy cookie in your client.";

//TMCM tooltip

var tiptmcm_connection_entity = "The entity name appears in the Control Manager product tree, helping you to identify the product..";

var tiptmcm_webserver_username = "This information is used by the IIS server for authentication. This information is not used by Contol Manager.";

var tiptmcm_proxyserver_username = "Please enter proxy server username.";

var tiptmcm_comm_port = "Two-way communication provides a real-time connection between the managed product and Control Manager.";

// tmcm_agent_settings.jsp

var i18n_display_name_msg = "Please enter valid display name.";

var i18n_server_fqdn_msg = "Please enter valid Server FQDN or IP address.";

var i18n_ipaddress_msg = "The TMCM server sends commands using its hostname. Please be sure IWSVA can resolve the TMCM server hostname. Do you want to proceed?";

var i18n_portnumber_msg = "Please enter valid port number(1 to 65535).";

var i18n_webuser_name_msg = "Web user name should be between 4 and 32 alphanumeric characters.";

var i18n_webuser_password_msg = "Password should be between 4 and 32 alphanumeric characters.";

var i18n_proxy_server_msg = "Please enter valid Proxy Server.";

var i18n_proxy_port_msg = "Please enter valid port number(1 to 65535).";

var i18n_proxy_user_name_msg = "Proxy user name should be between 4 and 32 alphanumeric characters.";

var i18n_proxy_password_msg = "Proxy uassword should be between 4 and 32 alphanumeric characters.";

var i18n_forwardip_msg = "Please enter valid forward IP.";

var i18n_forward_port_number_msg = "Please enter valid port number(1 to 65535).";

var i18N_tmcmAgSetting_EntityStatus = "Not connected";

var i18N_tmcmAgSetting_Register = "Register";

var i18N_tmcmAgSetting_Unregister = "Unregister";

var i18N_tmcmAgSetting_UpdateSettings   = "Update Settings";

var i18N_tmcmAgSetting_Test_Connection = "Test Connection";

var i18N_tmcmAgSetting_Cancel   = "Cancel";

var i18N_tmcmAgSetting_Status_ConnOK="Test connection successfully";

var i18N_tmcmAgSetting_Status_IncorrPara= "Input incorrect parameters";

var i18N_tmcmAgSetting_Status_IncorrSetting= "Incorrect settings or network error";

var i18N_tmcmAgSetting_Status_Connect= "Connected";

var i18N_tmcmAgSetting_Status_SysInter= "System internal error or unknown reason";

var i18N_tmcmAgSetting_Status_Timeout= "Connection timeout";





//iwss_config_snmp.jsp

var i18n_trap_destination_msg = "Please enter valid trap_destination.";

var i18n_trap_dest_portnumber_msg = "Please enter valid port number(1 to 65535)";

var i18n_communityname_msg = "Please enter valid communityname.";

var i18n_defaultcommunity_msg = "Please enter valid defaultcommunity.";

var i18n_system_location_msg = "Please enter valid system_location.";

var i18n_system_contact_msg = "Please enter valid system_contact.";

var i18n_readonly_defaultcommunity_msg = "Please enter valid Read-Only Default Community.";

var i18n_readonly_host_name_msg = "Please enter valid Read-Only Host Name.";

var i18n_readonly_object_identifier_msg = "Please enter valid Read-Only OID.";

var i18n_entity_limit_msg = "The maximum number of SNMP entities has been reached.";

var i18n_entity_exist_msg = "The SNMP entity already exists in the access control list.";

var i18n_no_entity_msg = "You must enter at least one SNMP entity to enable access control.";



//syslog_settings.jsp

var i18n_confirm_del_syslog_settings = "Are you sure you want to permanently delete the selected syslog server setting(s)?";

var i18n_invalid_syslog_server_ipaddress_msg = "Please enter a valid syslog server IP address or hostname.";

var i18n_invalid_syslog_server_port_msg = "Please enter a valid syslog server port.";

var i18n_existing_syslog_server_port_setting_msg = "The server IP address/hostname and port settings already exist.";

var i18n_post_type = "PostType=";

var i18n_server_no = "ServerNo";



//config_data_time.jsp

var i18n_logon_again_msg = "System time change has resulted in session timeout. Please log on to the Web console again.";

var i18n_xmlhttprequest_not_supported_msg = "Your Web browser may be older than IE 5.0. Please upgrade your Web browser and try again.";

var i18n_date_format_not_allowed_msg = "Please configure the date in the format [mm/dd/yyyy].";

var i18n_time_format_not_allowed_msg = "Please configure the time in the format [hh:mm:ss].";

var i18n_invalid_date_msg = "The specified date is invalid.";

var i18n_invalid_time_msg = "The specified time is invalid.";

var i18n_invalid_ip_or_fqdn_msg = "The specified IP or FQDN is invalid.";

var i18n_sync_success_msg = "Successfully synchronized with ";

var i18n_sync_failure_msg = "Unable to synchronize with ";

var i18n_systime_errmsg1 = "Unable to retrieve system time zone settings from the system. Please try again using the Web console or CLI.";

var i18n_systime_errmsg2 = "Unable to save NTP server IP or FQDN settings to the system. Please try again using the Web console or CLI.";

var i18n_systime_errmsg3 = "Unable to save time settings for automatic synchronization to the system. Please try again using the Web console or CLI.";

var i18n_systime_errmsg4 = "Unable to disable automatic time synchronization. Please try again using the Web console or CLI.";

var i18n_systime_errmsg5 = "Unable to save the date and time settings to the system. Please try again using the Web console or CLI.";

var i18n_systime_errmsg6 = "Unable to retrieve NTP server IP or FQDN settings from the system. Please try again using the Web console or CLI.";

var i18n_systime_errmsg7 = "Unable to save the time zone setting to the system. Please try again using the Web console or CLI.";



//config_backup_collapsed.jsp

var i18n_cb_upload_fail = "The uploaded file failed.";

var i18n_cb_multi_run = "Another Restore or Back Up process is running.";

var i18n_cb_no_file = "Cannot find the uploaded file.";

var i18n_cb_import_msg = "During restore, all IWSVA functions will be halted. It is strongly recommended that you back up existing configuration using the \"Back Up Configuration File\" option before restoring.\nDo you want to continue? ";

var i18n_cb_export_msg = "The backup configuration file contains sensitive information such as user accounts and passwords. To prevent unauthorized access to this information, please take necessary measure to secure these backup configuration files.\nDo you want to continue?";

var i18n_cb_notpass_format_check = "This does not pass the package format checking.";

var i18n_cb_notsupport_pkg = "Cannot support this version of the imported package.";

var i18n_cb_unknown_err = "Unknown error.";

var i18n_cb_fully_or_partially = "By default, the system performs a partial migration. Do you want to perform a full migration?";

//system_maintenance.jsp

var i18n_invalid_comment_msg1 = "The Comment field cannot be left blank. Please enter a reason for the shutdown/restart action.";

var i18n_invalid_comment_msg2 = "The reason you entered in the Comment field is too long. The maximum number of characters is 256. Please try again.";

var i18n_confirm_shutdown_msg = "This will shut down the appliance and the service will be unavailable. Are you sure you want to shut down?";

var i18n_confirm_reboot_msg = "This will reboot the appliance. The service will be unavailable while the appliance is restarting. Are you sure you want to reboot?";

var i18n_confirm_restart_sw_msg = "Continuing will restart IWSVA. The service will be temporarily unavailable and HTTP/HTTPS/FTP traffic will not pass through during this process. Are you sure you want to continue?";



//access_control_settings.jsp

var i18n_admin_acl_no_reach_limit_msg = "The maximum number of IP addresses has been reached.";

var i18n_admin_acl_existing_entry_msg = "The entry already exists in the access control list.";

var i18n_admin_acl_conflict_prevention_msg = "You must enter at least one IP address to enable administrative access control.";

var i18n_access_ctrl_errmsg1 = "Unable to update firewall rules. Please try again.";

var i18n_access_ctrl_errmsg2 = "Unable to save administrative access control settings to the system. Please try again.";



//http_trusted_url_list.jsp

//var i18n_deleteentry_some="One or more entries cannot be deleted. Please remove any references to the following entries and try again:";

var i18n_deleteentry_one_confirm="You are about to delete an active approved list. Do you want to continue?";

var i18n_deleteentry_multiple_confirm="You are about to delete some active approved lists. Do you want to continue?";



//urlf_custom_category.jsp

var i18n_deletecustom_one_confirm="You are about to delete an active custom category. Do you want to continue?";

var i18n_deletecustom_multiple_confirm="You are about to delete some active custom categories. Do you want to continue?";



//http_approved_url_add.jsp

var i18n_dup_url_approved_list="URL list name already exists. Please enter another name.";

var i18n_url_approved_list="Please enter a name for this approved URL list.";

var i18n_url_approved_list_DBCS="URL List Contents do not support double-byte characters.";



//http_approved_file_add.jsp

var i18n_dup_file_approved_list="File list name already exists. Please enter another name.";

var i18n_file_approved_list="Please enter a name for this approved file name list.";

var i18n_file_approved_list_DBCS="File Name List Contents do not support double-byte characters.";



//custom_category_url_add.jsp

var i18n_dup_custom_category="Category name already exists. Please enter another name.";

var i18n_custom_category="Please enter a name for this custom category.";

var i18n_custom_category_DBCS="Category Contents do not support double-byte characters.";



//http_config_user_bridge.jsp

var i18n_idagent_invalid_dcserver_name="Please enter a valid DC server name. The name can contain all printable ASCII characters except \"<>\".";

var i18n_idagent_invalid_ip = "Invalid IP address format.";

var i18n_idagent_dup_ip="The IP address is already used by another DC server. Please enter a unique IP address.";

var i18n_idagent_too_many_dcserver="Cannot add more than 32 DC servers.";

var i18n_idagent_invalid_user_name="Please enter a valid DC server user name. The name can contain all printable ASCII characters except \"<>\".";

var i18n_idagent_invalid_password="Please enter a valid password. The password can contain all printable ASCII characters without spaces.";

var i18n_idagent_invalid_polling_interval = "Please enter a number for the polling interval.";

var i18n_idagent_invalid_agent_name="Please enter a valid DC agent name. The name can contain all printable ASCII characters except \"<>\".";

var i18n_idagent_dup_agent_ip = "The IP address is already used by another DC agent. Please enter a unique IP address.";

var i18n_idagent_too_many_agents = "Cannot add more than two DC agents.";

var i18n_idagent_cannot_remove_dcserver = "Cannot delete the DC server in auto detect mode.";

var i18n_idagent_poll_dcagent_failed = "Poll DCAgent config failed!";



//new wording, and need to review by HIE

var i18n_template_name_empty_msg = "Please specify a name for this report template.";

var i18n_template_name_blankend_msg = "Please do not leave spaces at the end of the template name.";

var i18n_template_name_toolong_msg = "Please do not use a too long template name.";

var i18n_no_templates_msg="Please create a report template first.";

var i18n_template_copy_error_msg = "Cannot copy two or more report templates at the same time.";

var i18n_template_in_use_msg = "Template is already in use.";

var i18n_template_existing_name_msg="Template already exists.";

var i18n_profile_existing_name_msg="Profile already exists.";



var i18n_profile_sched_name_msg1 = "Please specify a name for this report";

var i18n_profile_sched_name_msg2 = "Report name can not contain special characters ~!@#$%^&*()+-\\/?|:<>' \"";

var i18n_profile_sched_mail_from_msg = "Please specify a from mail address for this report";

var i18n_profile_sched_rcpt_to_msg = "Please specify a to mail address for this report";

var i18n_profile_sched_subject_msg = "Please specify a subject for this report";



//ipConfig.jsp

var i18n_ipconfig_connection_broken_msg = "Connection will be disconnected after applying the changes." ;

var i18n_ipconfig_confirm_msg = "Are you sure you want to save the changes?";

var i18n_ipconfig_dhcp_confirm_msg = "Please make sure the data and management interfaces are not in the same domain."; 

var i18n_ipconfig_redirect_msg1 = "Redirecting to {ip} on port {port} ...";

var i18n_ipconfig_redirect_msg2 = "Please wait while you are directed to the login page with the new IP configuration.";

var i18n_ipconfig_dhcp_notify_msg1 = "IP address configuration for the selected interface is applied.";

var i18n_ipconfig_dhcp_notify_msg2 = "Please connect to the Web console using the new IP address.";

var i18n_ipconfig_ip_exist_msg= "The data and management interfaces cannot have the same IP address. Please enter a different IP address.";

var i18n_ipconfig_same_subnet_msg= "The data and management interfaces should not be in the same subnet for security reasons. Please configure the management interface in a different subnet. Do you want to continue configuration?";

var i18n_data_ipconfig_same_subnet_msg= "Do not configure the data and separate management interfaces in the same subnet; otherwise, HTTP/HTTPS/FTP traffic may be unavailable. Please configure the separate management interface in a different subnet. Do you want to continue?";

var i18n_ipconfig_no_freecard_msg= "The system does not have an available Ethernet card that is free for use by the management interface. Please add a new Ethernet card and try again.";

//var i18n_ipconfig_hyperlink_msg = "Would you like to save changes made on this screen before configuring the management protocols?";

var i18n_ipconfig_errmsg = "Unable to retrieve configuration from the system. Please try again using the Web console or CLI."; 

var i18n_ipconfig_errmsg1 = "Please enter a valid hostname.(Valid characters include: 'A-Z', 'a-z', '0-9', '_', '-' and '.')";

var i18n_ipconfig_errmsg2 = "Please enter a valid IP address.";



var i18n_ipconfig_errmsg2_ipv6 = "Please enter a valid IPv6 address.";

var i18n_ipconfig_errmsg3 = "Please enter a valid netmask.";

var i18n_ipconfig_errmsg4 = "Please enter a valid gateway.";

var i18n_ipconfig_errmsg4_ipv6 = "Please enter a valid IPv6 gateway.";

var i18n_ipconfig_errmsg5 = "Please enter a valid DNS server.";

var i18n_ipconfig_errmsg5_ipv6 = "Please enter a valid DNS server.";

var i18n_ipconfig_dataip_mgmtip_gateway="Specify the IPv6 address meant for data or management interfacing before specifying the IPv6 gateway or DNS server.";

var i18n_ipconfig_errmsg6 = "Unable to retrieve hostname from the system. Please try again using the Web console or CLI.";

var i18n_ipconfig_errmsg7 = "Unable to save hostname to the system. Please try again using the Web console or CLI. ";

var i18n_ipconfig_errmsg8 = "Unable to retrieve data interface IP, network mask, gateway, and DNS information from the system. Please try again using the Web console or CLI.";

var i18n_ipconfig_errmsg9 = "Unable to save the IP address configuration for the data interface. Please try again using the Web console or CLI.";

var i18n_ipconfig_errmsg10 = "Unable to save the PING configuration for the data interface. Please try again using the Web console or CLI.";

var i18n_ipconfig_errmsg11 = "Unable to retrieve management interface IP and network mask information from the system. Please try again using the Web console or CLI.";

var i18n_ipconfig_errmsg12 = "Unable to save the IP address configuration for the management interface. Please try again using the Web console or CLI.";

var i18n_ipconfig_errmsg13 = "Unable to save the PING configuration for the management interface. Please try again using the Web console or CLI.";

var i18n_ipconfig_errmsg14 = "Unable to disable the management interface. Please try again using the Web console or CLI.";



//https scan settings

var i18n_importca_msg = "Please specify the name and location of the certificate you want to import.";

var i18n_importpk_msg = "Please specify the name and location of the private key you want to import.";

var i18n_import_passphrase_msg = "Please specify the passphrase.";

var i18n_import_confirm_msg = "Please type the passphrase again to confirm.";

var i18n_import_mismatch_msg = "The passphrases do not match.";

var i18n_importca_success_msg = "Root certificate and private key upload is successful.";

var i18n_importca_fail_msg = "Root certificate and private key upload is not successful";

var i18n_importca_fail_msg1 = "The root certificate file is invalid. Try again.";

var i18n_importca_fail_msg2 = "The private key upload file is invalid. Try again.";

var i18n_importca_fail_msg3 = "The CA certification and CA key are not match. Try again.";

var i18n_importca_fail_msg4 = "Invalid CA certificate. Try again.";

var i18n_importca_fail_msg5 = "Invalid CA key or password error. Try again.";

var i18n_exportca_fail_msg = "Get certificate not successful.";

var i18n_exportkey_fail_msg = "Get private key not successful.";

var i18n_default_ca_msg = "Warning: You should import your own CA to IWSVA and replace IWSVA's default CA. IWSVA's default CA is not a well-known CA on the Internet and it is used as a temporary CA. Client browsers always display a certificate warning every time users access an HTTPS Web site. For security reasons, Trend Micro recommends replacing the default CA with your own CA and set client browsers to trust this CA.";

var i18n_https_not_support_msg1 = "IWSVA does not support HTTPS decryption in simple transparency mode. Please change deploy mode before enable HTTPS decryption.";

var i18n_https_not_support_msg2 = "IWSVA does not support HTTPS decryption in ICAP mode. Please change deploy mode before enable HTTPS decryption.";

var i18n_https_not_support_msg3 = "IWSVA does not support HTTPS decryption in reverse proxy mode. Please change deploy mode before enable HTTPS decryption."

var i18n_dlp_not_support_msg = "IWSVA does not support DLP in the Reverse Proxy mode. Change to another Deploy mode before enabling DLP."



// SSHConfig.jsp error message

var i18n_disable_ssh_error = "An error has occurred when disabling SSH daemon.";

var i18n_config_ssh_port_error = "Unable to configure the SSH daemon port. Please make sure the port has not been used by other daemon.";

var i18n_enable_ssh_general_error = "An error has occurred when enabling SSH daemon.";



// data_ipConfig.jsp

var i18n_proxy_interface_title = " Configure Proxy Interface";

var i18n_bridge_interface_titile = " Configure Bridge Interface";

var i18n_other_interface_title =  " Configure Data Interface";



//admin_patch_details_uninstall.jsp

var i18n_patch_uninstall_msg = "You are about to uninstall the patch";

var i18n_patch_proceed_msg = "Do you want to continue?";



//admin_threshold.jsp

var i18n_verify_msg1 = "Invalid value for Virus Threshold.";

var i18n_verify_msg2 = "Invalid value for Spyware Threshold.";

var i18n_verify_msg3 = "Invalid value for Database Threshold.";

var i18n_verify_msg4 = "Invalid value for Hard Disk Threshold.";

var i18n_verify_msg5 = "Invalid value for Bandwidth Threshold.";



//config_backup_progress.jsp

var i18n_create_xml_httpreq_msg = "XMLHttpRequest is not supported.";



//ftp_config_scan.jsp

var i18n_validate_file_handle_msg01 = "Please enter the threshold greater than ";

var i18n_validate_file_handle_msg02 = "KB for smart trickling.";



//httpsdecrypt_policy_account.jsp

var i18n_add_ip1_exists_msg = "This IP address already exists. Please type again.";



//tmcm_agent_settings2.jsp

var i18n_enter_entity_dispaly_name = "Please type the entity display name.";

var i18n_enter_server_fqdn = "Please type a valid server FQDN or IP Address.";

var i18n_enter_server_port_no = "Please type a valid server port number.";

var i18n_enter_user_account = "Please type a valid user account name.";

var i18n_enter_user_password = "Please type a valid user password.";



//updateimg.jsp

var i18n_upload_os_package = "Please upload an OS package.";



//webConsole.jsp

var i18n_ssl_cert_uploaded_msg = "SSL certificate has been uploaded successfully.";



//summary_spyware.jsp

var i18n_update_spyware_exp_msg01 = "Adding ";

var i18n_update_spyware_exp_msg02 = " to the spyware global exception list...\n\nNote: If the session times out, please log in again and add the desired spyware to the exception list.\n\nAre you sure you want to continue?";



//ajax_func.js

var i18n_not_supported_msg = "not supported";



//TmCube_Common.js

var i18n_no_control_id_msg = "no control id";



//tm_menu.js

var i18n_error_loading_xmldoc_msg = "Error loading XML document: ";

var i18n_build_navig_menu_msg = " to build the navigation menu";



//tooltip.js

var i18n_version_error_msg01 = "DHTML TIP MESSAGE VERSION 1.5 ERROR NOTICE.";

var i18n_version_error_msg02 = " tag missing or its ID has been altered";



//util.js

var i18n_nonascii_char_msg = "Non-ascii characters detected";



var i18n_ip_address = "IP Address ";

var i18n_ip_mask = " Mask ";

var i18n_ip_from = "IP from ";

var i18n_ip_to = " to ";

var i18n_port_from = "Port from ";

var i18n_port = "Port: ";

var i18n_desc_notes = "40 characters maximum";



//top.jsp

var i18n_change_timezone = "Changing Time Zone ";

var i18n_redirect_port = "Redirecting to port ";

var i18n_sync_now = "Synchronize Now ";

var i18n_syncing = "Synchronizing... ";

//securityset.js

var i18n_add_button = "Add";



//deployment wizard

//dw_static_routes.jsp

var i18n_sroute_router_not_reachable = "The router cannot be reached from the interface.";

//dw_deploy_mode.jsp

var i18n_bridge_x_f_f_add = "X-Forwarded-For header handling is now set to \"Append the IP address where IWSVA receives the request.\" Changing to \"Bridge mode\" will change the handling action to \"Keep X-Forwarded-For header intact\"."

//dw_network.jsp

var i18n_bridge_internal = "Please select an interface to act as the bridge internal interface.";

var i18n_bridge_external = "Please select an interface to act as the bridge external interface.";

var i18n_data_interface = "Please select an interface to act as the data interface.";

var i18n_management_interface = "Please select an interface to act as the management interface.";

var i18n_data_ip  = "Please enter a valid IP address for the data interface.";

var i18n_data_ip6  = "Please enter a valid IPv6 address for the data interface.";

var i18n_data_ip6_ip_mask  = "Please enter a valid IPv6 address for the data interface before configure the IPv6 mask for the data interface.";

var i18n_manage_ip6_ip_mask  = "Please enter a valid IPv6 address for the data management before configure the IPv6 mask for the management interface.";

var i18n_manage_ip  =  "Please enter a valid IP address for the management interface.";

var i18n_manage_ip6  =  "Please enter a valid IPv6 address for the management interface.";

var i18n_data_netmask = "Please enter a valid netmask for data interface.";

var i18n_data_netmask6 = "Enter a valid netmask value from 1-128 for an accurate data interface.";

var i18n_manage_netmask = "Please enter a valid netmask for management interface.";

var i18n_manage_netmask6 = "Please enter a valid netmask(1-128) for management interface.";

var i18n_invalid_vlan = "Invalid VLAN ID. Type a number between 1 and 4094.";

var i18n_HA_interface = "Please select an interface for HA interface.";

var i18n_invalid_cluster_weight = "Invalid weight value. Type a number between 1 and 255.";

var i18n_cluster_getinfo_error = "Cann't get the cluster information.";

var i18n_license_activate_confirm = "One or more fields are blank or contain invalid data. Do you want to continue anyway?";



var i18n_config_different_gateway6_warning = "Configuring two IPv6 gateways could cause routing problems. Using the static route function to set the IPv6 default gateway for the system is suggested.";



//record the deployment mode

var i18n_bridge="Deployment Settings";

var i18n_proxy_settings = "Proxy Settings";

var i18n_icap_settings = "ICAP Settings";

var i18n_simple_transparency_settings = "Transparency settings";

var i18n_wccp_settings = "WCCP Settings";



//urlf_config_ttl.jsp

var i18n_urlf_ttl_valid="Please enter a valid TTL value between 1 and 1440.";



//http_config content cache

var i18n_invalid_cache_space = "The assigned cache space cannot be greater than the available space.";

var i18n_invalid_cache_minum_object = "The mimimum size range of an object is 0-10240KB.";

var i18n_invalid_cache_maxnum_object = "The maximum size range of an object is 0-4096MB and cannot be greater than the assigned cache space.";

var i18n_invalid_cache_max_mini = "The maximum size should be larger than the minimum size";

var i18n_invalid_clear_message="It could take a significant amount of time to clear a large cache.\n\nAre you sure you want to clear the cache?\n\n";

//report_scheduled_profile_list.jsp

var i18n_disable_policy="Press to disable policy.";

var i18n_enable_policy="Press to enable policy.";



//for HA

var i18n_cb_patch_run = "The system is installing a patch. Please try again after the installation completes.";

var i18n_cluster_name_errmsg1 = "Please enter a valid hostname. The following special characters are not supported: <, >, #, &, |, \" and [space].";

//dw_cluster_info.jsp

var i18n_cluster_info_cannot_join_already_two = "Cannot join the cluster. Two nodes already exist in this cluster. Clusters only support two nodes.";

var i18n_cluster_info_cannot_jion_with_same_weight = "Cannot join the cluster. This node has the same weight as the other node in this cluster which has the Weighted Priority Election feature enabled. Weighted Priority Election requires one node to have a higher weight value. Please return to the previous page and change the weight.";



//cluster_management.jsp

var i18n_cluster_management_confirm_delete_cluster_menber = "Are you sure you want to permanently delete this member?";

var i18n_cluster_management_confirm_delete_cluster = "Are you sure you want to permanently dissolve this cluster?";

var i18n_cluster_management_confirm_redirect_are_you = "Are you sure you want to be redirected to the ";

var i18n_cluster_management_confirm_redirect_server = " server (";

var i18n_cluster_management_confirm_redirect_question_mark = ")?";

var i18n_cluster_management_confirm_redirect_parent = "Parent";

var i18n_cluster_management_confirm_redirect_child = "Child";

var i18n_cluster_management_status_ok = "OK";

var i18n_cluster_management_status_unknown = "Unknown";

var i18n_cluster_management_status_iwsva = "IWSVA";

var i18n_cluster_management_status_http = "HTTP";

var i18n_cluster_management_status_ftp = "FTP";

var i18n_cluster_management_status_service = " service";

var i18n_cluster_management_status_internal = "internal";

var i18n_cluster_management_status_external = "external";

var i18n_cluster_management_status_data_interface = " data interface link";

var i18n_cluster_management_status_down = "down";

var i18n_cluster_management_confirm_switch_role="To complete the role switch, please confirm this action by clicking OK. Once you complete this action, you will be re-logged into the Parent host.";

var i18n_cluster_management_iwsva_already_registered_to_arm_delete_warnmsg="This cluster has registered to ARM. Please unregister before dissolving the cluster.";

var i18n_cluster_management_switch_role_alert_syncing= "The system cannot perform a manual switch now because an HA synchronization is already in progress.";



//modify_cluster_management.jsp & dw_cluster_setting.jsp

var i18n_cluster_description_max_length = "64";

var i18n_cluster_description_max_length_warnmsg = "Please enter a valid description. Make sure the description has no more than " + i18n_cluster_description_max_length + " characters.";

var i18n_cluster_description_invalid_characters = "Please enter a valid description. The following special characters are not supported: <, >, and &.";

var i18n_cluster_management_cannot_modify_cluster_setting = "Cannot modify cluster settings now because the child node cannot be contacted.";



//dw_deploy_method.jsp

var i18n_dw_deploy_method_iwsva_already_registered_to_arm_create_cluster_warnmsg = "The IWSVA has registered to ARM. Please unregister before creating a cluster.";

var i18n_bridge_bypass_warnmsg = "The Bypass feature is currently enabled. Disable the feature and try again.";

// cluster preemption && weight

var i18n_cluster_management_same_weight_with_preemption_on = "Cannot enable the cluster's Weighted Priority Election feature because the both nodes in the cluster have the same weight.One node must have a greater weight. Modify the weight first.";

var i18n_cluster_management_preemption_on_with_same_weight = "Cannot set both nodes with the same weight because the cluster's Weighted Priority Election feature is enabled. Modify the weight of one node or disable Weighted Priority Election.";



//top.jsp

var i18n_top_sync_alert_another_sync_in_progress = "Another HA synchronization is already in progress.";

var i18n_top_sync_confirm = "Clicking OK will manually synchronize your policies and deployment settings to the child server. Do you want to continue?";



//inspection_filter_edit.jsp

var i18n_filtername="Please enter a filter name.";

var i18n_filtername_length="Filter name is too long. It must be 256 characters or less.";

var i18n_description_length="The description is too long. It must be 256 characters or less.";

var i18n_dup_filtername="This filter name already exists. Please specify another.";

var i18n_request_method="If HTTP Request option is checked, you must enter a value for it.";

var i18n_url_host="If the URL Host option is checked, you must enter a value for it.";

var i18n_url_path="If the URL Path option is checked, you must enter a value for it.";

var i18n_url_query="If the URL Query option is checked, you must enter a value for it.";

var i18n_request_header="If the Header option is checked, you must enter a name, operator, and value.";

var i18n_request_header_name="A Header name is required.";

var i18n_request_header_value="A Header value is required.";

var i18n_request_header_value_bound="The Header value is out of bounds. Please specify another.";

var i18n_request_header_value_number="Please enter a number for header value.";

var i18n_select1="To create an HTTP Request mode filter, add a Request Method, URL Host, URL Path, URL Query, and/or Header.";

var i18n_select2="To create an HTTP Response mode filter, add a URL Host, URL Path, URL Query, and/or Header.";

var i18n_advanced_patterns="To create this filter, enter content in the Patterns field.";



//appcontrol_settings_option.jsp

var i18n_frequercy_valid="Please enter a frequency from 1-3600.";



//http_extra_timequota_mgmt.jsp

var i18n_invalid_extra_time_quota="invalid extra time quota value";

var i18n_select_quota="Please select the users you want to set extra quota before save.";

var i18n_keyword_too_long="Keywork is too long. The maximum number of keywork is 100. Please try again.";



//dlp_policy_exception.jsp

var i18n_dlp_invalid_filesize="invalid filesize limit input";

var i18n_dlp_invalid_filesize="invalid filesize limit should be positive integer";

//*_policy_list.jsp
var i18n_policy_query_msg1="search condition should not be empty!";

var i18n_policy_query_msg2="Can only input hostname,IP address,IP range or username/groupname";

//bypass.jsp
var i18n_bypass_want_bypass="Please confirm you want to bypass IWSVA.";
var i18n_bypass_want_recover="Please confirm you want to recover IWSVA.";

//http_config_user_idetification.jsp
var i18n_edit_domain_warning="you can only edit a domain once,please save the config";
var i18n_captive_portal_custom_warning="The custom must contain the token <\%T\%>.";
var i18n_captive_portal_input_message="Please input your username and password.";

//replication_config.jsp
var i18n_invalid_ip_password="Invalid source IP address or root password.";
var i18n_invalid_root_password="You must type the root account password of the replicated source.";
var i18n_create_replicate_source_failed="Setting the replicate source has failed. Please try again.";
var i18n_create_replicate_source_sucess="The replicate source was set successfully.";
var i18n_ccr_disable_failed="Disabling the configuration replicate has failed. Please try again.";
var i18n_ccr_disable_sucess="Disabling the configuration replicate was successful.";
var i18n_ccr_role_change_failed="Changing the configuration replicate role type has failed. Check your input information or network configuration and try again.";
var i18n_ccr_role_change_sucess="You have successfully changed the configuration replicate role type."
var i18n_ccr_update_failed="The update of the configuration replicate has failed. Check your input information or network configuration and try again.";
var i18n_ccr_update_sucess="You have successfully updated the configuration replicate.";
var i18n_ccr_manual_sync_failed="Policy replication failed.";
var i18n_ccr_manual_sync_sucess="The policy replication was successful.";
var i18n_create_replicate_receiver_failed="Setting this as the replicate receiver has failed. Check your input information or network configuration and try again.";

//scan_policy_list.jsp
var i18n_switch_atp = "Enabling or disabling the Advanced Threat Scan Engine will force IWSVA to restart. This could take several minutes. You must refresh the web console after IWSVA restarts.";
//custome_defense.jsp
var i18n_valid_apikey = "Enter a valid API key.";
var i18n_dda_connection_success = "The DDA connection test has passed successfully.";
var i18n_dda_connection_fail = "This test has failed. Try again.";
//var i18n_pls_enable_dda = "You must first enable Custom Defense and set the DDA information.";
var i18n_sync_success = "The block list sync has completed successfully.";
var i18n_sync_fail = "The block list sync has failed. Try again.";	

//central log
var i18n_central_log_invalid_root_password="You must type the root account password of the log server.";
var i18n_central_log_ok="Set as log server/source was successful.";
var i18n_central_log_disabled="Central Log/Reporting has been disabled.";
var i18n_central_log_fail="Set as log server/source has failed.";
var i18n_central_log_connect_fail="You are not connected to the log server. Make sure the server is running with the SSH service enabled.";
var i18n_central_log_auth_fail="You have not accessed the log server. Make sure the correct root password has been input.";
var i18n_central_log_select_server_source="You must first choose a Log Server or Log Source.";
var i18n_central_log_confirm_disable_log_server="Before deleting this log, there could be Log Sources registered on it. Continue to Delete?";
//dashboard_settings.js
var i18n_dashboard_settings_input_favorite_name="You must first input a Favorite Name.";
var i18n_dashboard_settings_name_length_limit="Names cannot be longer than 256 characters.";
var i18n_dashboard_settings_dup_name="That name has already been used. Select a different name.";
var i18n_dashboard_settings_log_query_timeout="The request has timed out.";
var i18n_dashboard_settings_dup_request="A request has already been sent. Please wait.";