#!/bin/sh

INTSCANINI="/etc/iscan/intscan.ini"
CoreDump=$(/usr/bin/iniconfig -r -f $INTSCANINI -s "health-monitor" -o "core_dump")

if [ "$CoreDump" = "yes" ]; then
     PSTACKFILE="/etc/iscan/log/svc_dump_core"
     gcore -o $PSTACKFILE $1
else
    PSTACKFILE="/etc/iscan/log/svc_dump_stack.$1"
    echo "`date` [$1]:" >> $PSTACKFILE
    pstack $1 >> $PSTACKFILE
fi
