<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<i18n:bundle baseName="iwsvaHttp" id="bundleHttp" />
<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />
<%@ page import="com.trend.iwss.gui.IWSSInfo,
                 com.trend.iwss.gui.IWSSJNI,
                 com.trend.iwss.gui.IWSSMultiPartParser,
                 com.trend.iwss.gui.IWSSXML,
                 com.trend.iwss.gui.DaemonAction,
                 com.trend.iwss.gui.Validation" %>
<%
    if(Validation.CheckUser(request,response)!=1){
        response.sendRedirect("logon.jsp");
        return;
    }

    Object oGroupId = request.getSession().getAttribute("GroupId");
    int login_gid = Integer.parseInt(oGroupId.toString());

    response.setHeader("Pragma","no-cache");
    response.setHeader("Cache-Control","no-cache");
%>

<%
    //String urlf_configfile = IWSSInfo.GetKeyValue("URL-trusting", "normalLists");
    String urlf_configfile = "/etc/iscan/HttpsTunnelDomains.ini";

    DaemonAction.TakeAction(73);

    String blockstr = IWSSJNI.GetURLBlockList(urlf_configfile, "block");
    if (blockstr.length() < 3) {
        blockstr = "";
    }
    blockstr = "<URLList>" + blockstr + "</URLList>";
    IWSSXML blist = new IWSSXML(blockstr);

    String allowstr = IWSSJNI.GetURLBlockList(urlf_configfile, "allow");
    if (allowstr.length() < 3) {
        allowstr = "";
    }
    allowstr = "<URLList>" + allowstr + "</URLList>";
    IWSSXML alist = new IWSSXML(allowstr);

    boolean IsBImport = false;
    boolean IsAImport = false;
    IWSSXML import_bxml = null;
    IWSSXML import_axml = null;
    String isContainDBCS = "no";

    String contenttype = request.getContentType();
    if (contenttype != null && contenttype.contains("multipart/form-data")) {
        IWSSMultiPartParser multip = new IWSSMultiPartParser(request);

        String filename = multip.GetFileName("importedfile");
        String importstr = IWSSJNI.ImportURLList(filename, "block");
        importstr = "<URLList>" + importstr + "</URLList>";
        import_bxml = new IWSSXML(importstr);
        if (import_bxml.GetKeyValue("import", "error_no") == null) {
            IsBImport = true;
        }

        importstr = IWSSJNI.ImportURLList(filename, "allow");
        importstr = "<URLList>" + importstr + "</URLList>";
        import_axml = new IWSSXML(importstr);
        if (import_axml.GetKeyValue("import", "error_no") == null) {
            IsAImport = true;
        }

        if ("yes".equals(import_bxml.GetKeyValue("import", "dbcs")))
        {
        isContainDBCS = "yes";
        import_bxml.deleteSection("import");
        }

        if ("yes".equals(import_axml.GetKeyValue("import", "dbcs")))
        {
        isContainDBCS = "yes";
        import_axml.deleteSection("import");
        }


        multip.CleanallTempFiles();
  }
%>


<html>
<head>
<META HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
<title>Trend Micro InterScan Web Security Virtual Appliance</title>

<link href="html/trend-style.css" rel="stylesheet" type="text/css">
<script language="javascript" src="html/func.js" type="text/javascript"></script>
<script language="javascript" src="html/commonurllist.js" type="text/javascript"></script>
<script language="javascript" src="html/i18n_warnmsg.js" type="text/javascript"></script>

<script language="JavaScript" type="text/javascript">

var descarray = new Array(2);
descarray[0] = tipNoScanURLs;
descarray[1] = tipURLexceptions;

function doSubmit()
{
  if (document.saveform.trusted_enable_view.checked)
    document.saveform.https_scanning__tunnel_domain.value="yes";
  else
    document.saveform.https_scanning__tunnel_domain.value="no";

  checkall(document.saveform.blocklist);
  checkall(document.saveform.allowlist);

  checkall(document.saveform.allowadd);
  checkall(document.saveform.allowrm);

  document.saveform.op.value = "httpstunnel";
  document.saveform.action="servlet/com.trend.iwss.gui.servlet.urllistset";
  if(document.saveform.https_scanning__tunnel_domain.value != document.saveform.oldurltscan.value)
    document.saveform.daemonaction.value = httpreloadplus;
  else
    document.saveform.daemonaction.value = httpreload;

  setTimeout( "document.saveform.submit()", 100 );
}

function submitExport()
{
    document.saveform.submit();
    document.saveform.allowlist.selectedIndex = -1;
    document.saveform.blocklist.selectedIndex = -1;
}

function doExport()
{
    checkall(document.saveform.allowlist);
    checkall(document.saveform.blocklist);

    document.saveform.op.value = "httpstunnelexport";
    document.saveform.action="servlet/com.trend.iwss.gui.servlet.policylistset";
    //document.saveform.daemonaction.value = httpreload;
    setTimeout( submitExport, 100 );
}

function EnableImport()
{
    document.saveform.importbutton.disabled=false;
}

function doImport()
{
    if(document.saveform.importedfile.value=="") {
        document.saveform.importbutton.disabled=true;
        alert(i18n_import_msg);
        return;
    }
    document.saveform.op.value = "import";
    document.saveform.action="https_tunneling.jsp"
    document.saveform.encoding="multipart/form-data";
    setTimeout( "document.saveform.submit()", 100 );
}

function addblockurl()
{
    document.saveform.url_input.value=Trim(document.saveform.url_input.value);
    document.saveform.url_input.value = document.saveform.url_input.value.toLowerCase();
    if(document.saveform.url_input.value=="") return;
    var exceptioncharlist = "\"{}|^<>";
    if(ISSpecialChar(document.saveform.url_input.value,exceptioncharlist))
    {
        alert(i18n_specialcharlist + exceptioncharlist);
        document.saveform.url_input.focus();
        return;
    }
    document.saveform.url_input.value=FormatURL(document.saveform.url_input.value);
    var newurl;
    if(document.saveform.url_type[1].checked){
        newurl = TransformURL_ex(document.saveform.url_input.value);
    }else{
        newurl = document.saveform.url_input.value;
    }
    var length = getStringLength(newurl);
    if(length > 1024){
      alert(i18n_trustedurl_msg5);
      return;
    }

    //check block list duplication
    if(Check_Duplication(document.saveform.blocklist,newurl)){
       alert(i18n_trustedurl_msg1);
       document.saveform.url_input.focus();
       return;
    }
    //check allow list conflict
    if(Check_Duplication(document.saveform.allowlist,newurl)){
       alert(i18n_trustedurl_msg4);
       document.saveform.url_input.focus();
       return;
    }
    InsertURL(document.saveform.blocklist,newurl);
    document.saveform.url_input.value="";
    EnableSaveButton();
}

function addallowurl()
{
    document.saveform.url_input.value=Trim(document.saveform.url_input.value);
    document.saveform.url_input.value = document.saveform.url_input.value.toLowerCase();
    if(document.saveform.url_input.value=="") return;
    var exceptioncharlist = "\"{}|^<>";
    if(ISSpecialChar(document.saveform.url_input.value,exceptioncharlist))
    {
        alert(i18n_specialcharlist + exceptioncharlist);
        document.saveform.url_input.focus();
        return;
    }
    document.saveform.url_input.value=FormatURL(document.saveform.url_input.value);
    var newurl;
    if(document.saveform.url_type[1].checked){
        newurl = TransformURL_ex(document.saveform.url_input.value);
    }else{
        newurl = document.saveform.url_input.value;
    }
    var length = getStringLength(newurl);

    if(length > 1024){
      alert(i18n_trustedurl_msg5);
      return;
    }

    //check allow list duplication
    if(Check_Duplication(document.saveform.allowlist,newurl)){
       alert(i18n_trustedurl_msg3);
       document.saveform.url_input.focus();
       return;
    }
    //check block list conflict
    if(Check_Duplication(document.saveform.blocklist,newurl)){
       alert(i18n_trustedurl_msg2);
       document.saveform.url_input.focus();
       return;
    }

    InsertURL(document.saveform.allowlist,newurl);
    InsertURL(document.saveform.allowadd, newurl);
    document.saveform.url_input.value="";
    EnableSaveButton();
}

//type: 1-block 2-allow
function removeurl(type)
{
    if(type==1) removeselected(document.saveform.blocklist);
    else if(type==2) removeselected_ex(document.saveform.allowlist,
        document.saveform.allowadd,
        document.saveform.allowrm);
    EnableSaveButton();
}

function removeallurl(type)
{
    if(type==1) removeall(document.saveform.blocklist);
    else if(type==2) removeall_ex(document.saveform.allowlist,
        document.saveform.allowadd,
        document.saveform.allowrm);
    EnableSaveButton();
}

function
saveListItem(listobj, inputurl) {
    var newurl;

    newurl = inputurl.toLowerCase();

    //check block list duplication
    if (Check_Duplication(document.saveform.blocklist, newurl)) { return };

    //check allow list conflict
    if (Check_Duplication(document.saveform.allowlist, newurl)) { return };

    InsertURL(listobj, newurl);
    if(listobj === document.saveform.allowlist)
    {
      InsertURL(document.saveform.allowadd, newurl);
    }
    EnableSaveButton();
}

function
saveListItems(len, list, importList) {
    if (len > 1) {
        for (var i = 0; i < len; i++) {
            saveListItem(list, importList[i].value);
        }
    } else {
        saveListItem(list, importList.value);
    }
}

function
initimportlist(is_bimport, is_aimport) {

    if (is_bimport) {
        if (typeof(document.saveform.importblockurl) != 'object') { return; }

        saveListItems(parseInt(document.saveform.importblockurl_length.value),
                      document.saveform.blocklist,
                      document.saveform.importblockurl);
    }

    if (is_aimport) {
        if (typeof(document.saveform.importallowurl) != 'object') { return; }

        saveListItems(parseInt(document.saveform.importallowurl_length.value),
                      document.saveform.allowlist,
                      document.saveform.importallowurl);
    }

    if ("yes" == "<%=isContainDBCS%>")
    {
      alert(i18n_trusted_url_list_DBCS);
    }
}

</script>
<script language="javascript" src="html/mouseover_help.js" type="text/javascript"></script>
</head>



<body  onunload="cleanup_progress();" onLoad="initimportlist(<%=IsBImport%>,<%=IsAImport%>);" bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<div id="object1" style="position:absolute; background-color:white;color:black;border-color:black;border-width:20; visibility:show; left:25px; top:-50px; z-index:+1" onMouseOver="overdiv=1;"  onmouseout="overdiv=0; setTimeout('hideLayer()',1000)">
  pop up description layer </div>
<form method="post" name="saveform" action="servlet/com.trend.iwss.gui.servlet.urllistset">
<input type="hidden" name="op" value="httpstunnel">
<input type="hidden" name="fromurl" value="/https_tunneling.jsp">
<input type="hidden" name="daemonaction" value="0">

<div style="display:none;">
<select id="allowadd" name="allowadd" multiple>
</select>
<select id="allowrm" name="allowrm" multiple>
</select>
</div>

<%
    if (IsBImport) {
%>
<input type="hidden" name="importblockurl_length" value="<%=import_bxml.GetLength("URLList")%>">
<%
        for (int i = 0; i < import_bxml.GetLength("URLList"); i++) {
%>
<input type="hidden" name="importblockurl" value="<%=import_bxml.GetValueByIndex("URLList",i)%>">
<%
        }
    }
%>
<%
    if (IsAImport) {
%>
<input type="hidden" name="importallowurl_length" value="<%=import_axml.GetLength("URLList")%>">
<%
        for (int i = 0; i < import_axml.GetLength("URLList"); i++) {
%>
<input type="hidden" name="importallowurl" value="<%=import_axml.GetValueByIndex("URLList",i)%>">
<%
        }
    }
%>

<%
    String enabled_value = IWSSInfo.GetKeyValue("https-scanning", "tunnel_domain");
    String checked_sign = "yes".equalsIgnoreCase(enabled_value) ? " checked" : "";
%>
<table width="740" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="182" class="content-title"><i18n:message bundleRef="bundleHttp" key="https.tunneling.title" /></td>
    <td width="305" class="text">
      <input name="trusted_enable_view" type="checkbox" <%=checked_sign%> style="margin-left:180px;"
<%if (login_gid == 100) { %>
             onClick="EnableSaveButton();"
<%}%>
      >
      <input name="https_scanning__tunnel_domain" type="hidden" value="">
      <input name="oldurltscan" type="hidden" value="<%=enabled_value%>">
      <i18n:message bundleRef="bundleHttp" key="https.tunneling.enable_tunneling" />
    </td>
    <td width="53" valign="bottom">
      <div align="right">
        <a href="#">
          <img src="images/question_cui.gif" width="18" height="18" border="0">
        </a>
      </div>
    </td>
  </tr>
  <tr>
    <td colspan="3" class="hor-dotted-line"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
  <tr>
    <td colspan="3"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
</table>

<table cellSpacing=0 cellPadding=0 width="740" border=0>
    <tbody>
    <tr>
        <td colspan="2">
            <table cellpadding="0" cellspacing="0" border="0" width="100%">
                <tbody>
                    <tr>
                    <!-- TABS -->
                        <td background="images/tab_background_cui.gif">
                            <table cellpadding="0" cellspacing="0" border="0">
                                <tbody>
                                    <tr>
                                        <td>
                                            <img src="images/tab_active1_left_cui.gif" width="11" height="23" alt="" border="0">
                                        </td>
                                        <td valign="top" background="images/tab_active_background_cui.gif" class="tabactive" nowrap="">
                                            <i18n:message bundleRef="bundleHttp" key="https.tunneling.domain_tunneling"/>
                                        </td>
                                        <td>
                                            <img src="images/tab_active_right_cui.gif" width="23" height="23" alt="" border="0">
                                        </td>
                                        <td>
                                            <img src="images/tab_inactive2_left_cui.gif" width="11" height="23" alt="" border="0">
                                        </td>
                                        <td valign="top" background="images/tab_inactive_background_cui.gif" class="tabinactive" nowrap="">
                                            <a onMouseOver="this.style.color='#FF0000';" style="COLOR: #000000; TEXT-DECORATION: none" onMouseOut="this.style.color='#000000';" href="failed_https_accesses.jsp"><i18n:message bundleRef="bundleHttp" key="https.tunneling.failed_https_accesses"/></a>
                                        </td>
                                        <td>
                                            <img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0">
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </td>
                    </tr>
                    <!-- TABS -->

                    <tr>
                        <td  valign=top width="100%">
                            <table cellpadding="0" cellspacing="0" border="0" width="100%">
                                <tr>
                                    <td width="100%" class="border">
                                        <table width="100%" border="0" cellspacing="0" cellpadding="0">
                                            <tr>
                                                <td width="100%" style="padding-top:3px">
                                                    <table width="100%" border="0" cellpadding="0" cellspacing="0">
                                                    <%if (login_gid == 100) { %>
                                                        <tr>
                                                            <td class="data1" colspan="2"><i18n:message bundleRef="bundleHttp" key="https.tunneling.match" />
                                                                <input name="url_input" type="text" class="button" size="80" maxlength="1024" onKeyPress="return handleEnter(this, event)">
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>&nbsp;</td>
                                                            <td class="data1">
                                                                <input type="radio" name="url_type" value="exactstring" checked>
                                                                <i18n:message bundleRef="bundleHttp" key="https.tunneling.string" />
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td width="39">&nbsp;</td>
                                                            <td width="499" class="data1">
                                                                <input type="radio" name="url_type" value="website">
                                                                <i18n:message bundleRef="bundleHttp" key="https.tunneling.entire_domain" />
                                                            </td>
                                                        </tr>

                                                        <tr>
                                                            <td>&nbsp;</td>
                                                            <td class="data1" style="padding-left:7px">
                                                                <input name="addblock" type="button" class="button" onClick="addallowurl();" value="<i18n:message bundleRef='bundleHttp' key='https.tunneling.button_tunnel' />">
                                                                <input name="addallow" type="button" class="button" onClick="addblockurl();" value="<i18n:message bundleRef='bundleHttp' key='https.tunneling.button_untunnel' />">
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td height="10" valign="middle" colspan="2" class="hor-dotted-line"><img src="images/1space_cui.gif" width="1" height="10"></td>
                                                        </tr>
                                                        <tr>
                                                            <td colspan="2">
                                                                <table width="100%">
                                                                    <tr>
                                                                        <td class="data1" style="width:55%">
                                                                            <i18n:message bundleRef="bundleHttp" key="https.tunneling.import_list" />
                                                                            <input type="file" name="importedfile" class="button" size="35" onClick="EnableImport();">
                                                                <!--input name="importbutton" type="button"  class="button" onClick="doImport();" value="<i18n:message bundleRef='bundleCommon' key='button.import' />" disabled-->
                                                                        </td>
                                                                        <td class="data1">
                                                                            <input name="importbutton" type="button"  class="button" onClick="doImport();" value="<i18n:message bundleRef='bundleCommon' key='button.import' />" disabled>
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td colspan="2" ><img src="images/1space_cui.gif" width="1" height="10"></td>
                                                        </tr>

                                                        <tr>
                                                            <td height="10" valign="middle" colspan="2" class="hor-dotted-line"><img src="images/1space_cui.gif" width="1" height="10"></td>
                                                        </tr>
                                                        <tr>
                                                            <td colspan="2">
                                                                <table width="100%">
                                                                    <tr>
                                                                        <td class="data1" style="width:55%">
                                                                            <i18n:message bundleRef="bundleHttp" key="https.tunneling.export_list" />
                                                                        </td>
                                                                        <td class="data1">
                                                                            <input name="exportbutton" type="button"  class="button" onClick="doExport();" value="<i18n:message bundleRef='bundleCommon' key='button.export' />">
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td colspan="2" ><img src="images/1space_cui.gif" width="1" height="10"></td>
                                                        </tr>
<%}%>
                                                        <tr>
                                                            <td colspan="2" class="tableheadergrey2" ><i18n:message bundleRef="bundleHttp" key="https.tunneling.tunneled_domains" />
                                                                <!--a onMouseOver="popLayer(0,20,50)" onMouseOut="hideLayer()">
                                                                    <img src="images/info_mark_cui.gif" width="14" height="17" border="0" align="absmiddle">
                                                                </a-->
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td colspan="2" class="data1" style="padding-top:3px">
                                                                <select style="Width:100%" id="allowlist" size="12" name="allowlist" class="button" multiple>
                                                            <%for(int i=0;i<alist.GetLength("URLList");i++){%>
                                                                    <option value="<%=alist.GetValueByIndex("URLList",i)%>"><%=alist.GetValueByIndex("URLList",i)%></option>
<%}%>
                                                                </select>
                                                            </td>
                                                        </tr>
                                                    <%if (login_gid == 100) { %>
                                                        <tr>
                                                            <td colspan="2" class="data1" style="padding-bottom:3px">
                                                                <input name="removeallow" type="button"  class="button" onClick="removeurl(2);" value="<i18n:message bundleRef='bundleCommon' key='button.remove' />">
                                                                <input name="removeallallow" type="button"  class="button" onClick="removeallurl(2);" value="<i18n:message bundleRef='bundleCommon' key='button.remove_all' />">
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td colspan="2" ><img src="images/1space_cui.gif" width="1" height="10"></td>
                                                        </tr>
                                                        <tr>
                                                            <td colspan="2" ><img src="images/1space_cui.gif" width="1" height="10"></td>
                                                        </tr>
                                                    <%
                                                    }
                                                    else
                                                    {
                                                    %>
                                                        <tr>
						                                    <td colspan="2" ><img src="images/1space_cui.gif" width="1" height="10"></td>
						                                </tr>
                                                        <tr>
                                                            <td colspan="2" ><img src="images/1space_cui.gif" width="1" height="10"></td>
                                                        </tr>
                                                        <tr>
                                                            <td colspan="2" ><img src="images/1space_cui.gif" width="1" height="10"></td>
                                                        </tr>
                                                        <tr>
                                                            <td colspan="2" ><img src="images/1space_cui.gif" width="1" height="10"></td>
                                                        </tr>
                                                    <%
                                                    }
                                                    %>
                                                        <tr>
                                                            <td colspan="2" class="tableheadergrey2" ><i18n:message bundleRef="bundleHttp" key="https.tunneling.exception" />
                                                                <!--a onMouseOver="popLayer(1,20,50)" onMouseOut="hideLayer()">
                                                                    <img src="images/info_mark_cui.gif" width="14" height="17" border="0" align="absmiddle">
                                                                </a-->
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td colspan="2" class="data1" style="padding-top:3px">
                                                                <select style="Width:100%" size="12" id="blocklist" name="blocklist" class="button" multiple>
<%for(int i=0;i<blist.GetLength("URLList");i++){%>
                                                                <option value="<%=blist.GetValueByIndex("URLList",i)%>"><%=blist.GetValueByIndex("URLList",i)%></option>
<%}%>
                                                                </select>
                                                            </td>
                                                        </tr>
<%if (login_gid == 100) { %>
                                                        <tr>
                                                            <td colspan="2" class="data1" style="padding-bottom:3px" >
                                                                <input name="removeblock" type="button"  class="button" onClick="removeurl(1);" value="<i18n:message bundleRef='bundleCommon' key='button.remove' />">
                                                                <input name="removeallblock" type="button"  class="button" onClick="removeallurl(1);" value="<i18n:message bundleRef='bundleCommon' key='button.remove_all' />">
                                                            </td>
                                                        </tr>
<%}%>
                                                    </table>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                            </table>

                        </td>
                    </tr>
                </tbody>
            </table>
        </td>
    </tr>
    </tbody>
</table>

<%if (login_gid == 100) { %>
<table width="740" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td height="28" valign="bottom">
	  <input name="save" type="button"  class="button" onClick="doSubmit();" value="<i18n:message bundleRef='bundleCommon' key='button.save' />" style="width:55px" disabled>
      <input name="cancel"  type="button"  onclick="self.location.replace('https_tunneling.jsp')"    class="button" value="<i18n:message bundleRef='bundleCommon' key='button.cancel' />" style="width:55px">
    </td>
  </tr>
</table>
<%}%>

</form>
</body>
</html>
