<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ page import="com.trend.iwss.gui.Validation,
                 com.trend.iwss.gui.IWSSUtil,
                 com.trend.iwss.gui.UIConstants,
                 com.trend.iwss.gui.MMCConfig,
                 java.net.URLDecoder"%>
<%@ page import="com.trend.iwss.gui.*,java.util.*" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<i18n:bundle baseName="iwsvaHttp" id="bundleHttp" />
<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />
<%
Object oGroupId = null;
int login_gid = 100;
    if (Validation.CheckUser(request, response) != 1) {
        response.sendRedirect("logon.jsp");
        return;
    }
    response.setHeader("Pragma", "no-cache");
    response.setHeader("Cache-Control", "no-cache");
%>
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<title>Trend Micro InterScan Web Security Virtual Appliance</title>
<link href="html/trend-style.css" rel="stylesheet" type="text/css">
<script language="javascript" type="text/javascript" src="html/func.js"></script>
<script language="javascript" type="text/javascript" src="html/i18n_warnmsg.js"></script>
<script LANGUAGE="JavaScript" type="text/javascript">
function doSubmit() {
    if (document.saveform.importedfile.value == "") {
        alert(i18n_import_cert);
        return;
    }
    document.saveform.encoding = "multipart/form-data";
    document.saveform.<%=UIConstants.REQ_PARAM_DAEMONACTION%>.value = httpreload;
    setTimeout( "document.saveform.submit()", 100 );
}

function doNewSubmit() {
  if(document.saveform.<%=MMCConfig.REQ_PARAM_IMPORTEDFILE_NEW%>.value == "") {
    alert(i18n_import_cert);
    return;
  }

  document.saveform.encoding = "multipart/form-data";
  document.saveform.<%=MMCConfig.REQ_PARAM_CERTTYPE%>.value = "ie";
  document.saveform.<%=UIConstants.REQ_PARAM_DAEMONACTION%>.value = httpreload;
  setTimeout( "document.saveform.submit()", 100 );
}

</script>
</head>
<%
    String qs = request.getQueryString();
    String opstr = IWSSUtil.GetQueryStringKey(qs, UIConstants.REQ_PARAM_TYPE);
    String usrerr = IWSSUtil.GetQueryStringKey(qs, MMCConfig.REQ_PARAM_CERTUSERERROR);
    usrerr = (null != usrerr) ? URLDecoder.decode(usrerr, UIConstants.CHARSET_ENCODING_UTF8) : null;
    String originTitle;
    String originPage;
    boolean isFromActive = false;

    ResourceBundle resource = ResourceBundle.getBundle("iwsvaHttp");
    if (MMCConfig.OPTYPE_ACTIVE.equalsIgnoreCase(opstr)) {
        opstr = MMCConfig.OP_CONFIG_ACTIVE_CERT_ADD;
        isFromActive = true;
        originTitle = resource.getString("https.config.certificate.active");
        originPage = MMCConfig.JSP_PAGE_MMC_CONFIG_ACTIVE_CERTS_LIST;
    } else {
        opstr =MMCConfig.OP_CONFIG_INACTIVE_CERT_ADD;
        originTitle = resource.getString("https.config.certificate.inactive");
        originPage = MMCConfig.JSP_PAGE_MMC_CONFIG_INACTIVE_CERTS_LIST;
    }
%>
<body bgcolor="#FFFFFF">
<form action="<%=MMCConfig.SERVLET_MMCCERTSET%>" method="POST" name="<%=UIConstants.FORM_NAME_SAVEFORM%>">
<input type="hidden" name="<%=UIConstants.REQ_PARAM_OP%>"           value="<%=opstr%>">
<input type="hidden" name="<%=UIConstants.REQ_PARAM_DAEMONACTION%>" value="0">
<input type="hidden" name="<%=MMCConfig.REQ_PARAM_CERTTYPE%>" value="single">
<table cellspacing="0" cellpadding="0" width="540" border="0">
  <tr>
    <td width="463" class="content-title">
      <i18n:message bundleRef="bundleHttp" key="https.config.certificate.add_add_ctf" />:
    </td>
    <td width="77" valign="bottom">
      <div align="right"><A href="javascript:openhelpwin('mmc_cert_add.htm');"><img src="images/question_cui.gif" alt="?" width="18" height="18" border="0"></a></div>
    </td>
  </tr>
  <tr>
    <td colspan="2" class="data1">
      <a href="<%=originPage%>" target="right">
        <%=originTitle%>
      </a>
      &gt;
      <i18n:message bundleRef="bundleHttp" key="https.config.certificate.add_add_ctf" />
    </td>
  </tr>
  <tr>
    <td colspan="2" class="hor-dotted-line"><img src="images/1space_cui.gif" alt="" width="1" height="10"></td>
  </tr>
  <tr>
    <td height="5" colspan="2"><img src="images/1space_cui.gif" alt="" width="1" height="5"></td>
  </tr>
<%
    if (null != usrerr) {
%>
  <tr>
    <td colspan="2" style="font-size:12px;"><%=usrerr%></td>
  </tr>
<%
    }
%>
  <tr>
    <td height="5" colspan="2"><img src="images/1space_cui.gif" alt="" width="1" height="5"></td>
  </tr>
</table>
<table cellSpacing="0" cellPadding="0" width="540" border="0">
  <tbody>
    <tr>
      <td vAlign="top" width="100%">
        <table width="540" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td class="border">
              <table width="538" border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td colspan="2" class="tableheader">
                    <i18n:message bundleRef="bundleHttp" key="https.config.certificate.add_upload_ctf" />
                  </td>
                </tr>
                <tr>
                  <td colspan="2" class="tableheader">
                    <input name="<%=MMCConfig.REQ_PARAM_IMPORTEDFILE%>"
                           type="file"
                           class="button"
                           size="50" >
                    &nbsp;
            <%if (login_gid == 100) { %>
                    <input name="save"
                           type="button"
                           class="button"
                           onclick="javascript:doSubmit();"
                           value="<i18n:message bundleRef='bundleCommon' key='button.add2' />"
                          >
                 <%}%>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
        <%if(isFromActive) { %>
          <tr><td><br/></td></tr>
          <tr>
            <td class="border">
              <table width="538" border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td colspan="2" class="tableheader">
                    <i18n:message bundleRef="bundleHttp" key="https.config.certificate.add_upload_ie" />
                  </td>
                </tr>
                <tr>
                  <td colspan="2" class="tableheader">
                    <input name="<%=MMCConfig.REQ_PARAM_IMPORTEDFILE_NEW%>"
                           type="file"
                           class="button"
                           size="50"
                           onkeydown="EnableSaveButton();">
                    &nbsp;
            <%if (login_gid == 100) { %>
                    <input name="save"
                           type="button"
                           class="button"
                           onclick="javascript:doNewSubmit();"
                           value="<i18n:message bundleRef='bundleCommon' key='button.add2' />"
                          >
                 <%}%>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
        <% } %>
        </table>
      </td>
    </tr>
  </tbody>
</table>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td height="2" valign="middle">&nbsp;</td>
  </tr>
</table>
</form>
</body>
</html>
