#!/bin/sh

LogPath=/etc/iscan/log
BRIDGEM=`cat /var/iwss/intscan.ini|grep bridgemode|awk -F= '{print $2}'`

/etc/iscan/rcIwss stop --DRECYCLE
sleep 5
/etc/iscan/rcIwss start --DRECYCLE
sleep 5

if [ "$BRIDGEM" -eq 1 ]; then
	_iwssdNO=`ps -ef | grep iwssd | grep -v grep | wc -l`
	if [ $_iwssdNO -ne 0 ] ; then
		date >> $LogPath/dailyrecycle.txt
        echo "iwssd is starting properly" >> $LogPath/dailyrecycle.txt
	else
		date >> $LogPath/dailyrecycle.txt
		echo "iwssd is not starting properly, clear rpolicy" >> $LogPath/dailyrecycle.txt
		echo "" >/proc/conntrack/rpolicy
    fi
fi

sync

echo 3 > /proc/sys/vm/drop_caches

